Index: general/prog/lazarus.xml
===================================================================
--- general/prog/lazarus.xml	(revision e6974d1ef29a29ceac20e2a86bca89967ff5d9b2)
+++ general/prog/lazarus.xml	(revision 8163ea8ffad29cdbac437a98d868783404285963)
@@ -5,9 +5,14 @@
   %general-entities;
 
-  <!ENTITY lazarus-download-http "https://downloads.sourceforge.net/project/lazarus/Lazarus Zip _ GZip/Lazarus &lazarus-version;/lazarus-&lazarus-version;.tar.gz">
-  <!ENTITY lazarus-md5sum        "208dfeb20c528649d2598cc0eb341309">
-  <!ENTITY lazarus-size          "66.3 MB">
-  <!ENTITY lazarus-buildsize     "x.x MB">
-  <!ENTITY lazarus-time          "x SBU">
+  <!--
+      NOTE:
+      Whenever upgrading to another version of Lazarus,
+      update qt5pas.xml, too!
+  -->
+  <!ENTITY lazarus-download-http "https://downloads.sourceforge.net/project/lazarus/Lazarus Zip _ GZip/Lazarus &lazarus-version;/lazarus-&lazarus-version;-0.tar.gz">
+  <!ENTITY lazarus-md5sum        "c47680c84192008af1d05aa42b58c1da">
+  <!ENTITY lazarus-size          "73.2 MB">
+  <!ENTITY lazarus-buildsize     "817.2 MB">
+  <!ENTITY lazarus-time          "1.5 SBU">
 ]>
 
@@ -68,8 +73,7 @@
     <bridgehead renderas="sect3">Lazarus Dependencies</bridgehead>
     <para role="required">
-      <xref linkend="rsync"/>,
       <xref linkend="fpc"/>, and one of 
-      <xref linkend="qt5"/> and <xref linkend="qt5pas"/>, or
-      <xref linkend="gtk2"/>
+      <xref linkend="qt5"/> and <xref linkend="qt5pas"/> for QT based IDE, or
+      <xref linkend="gtk2"/> for Gtk2 based IDE
     </para>
 
@@ -127,33 +131,18 @@
     </para>
 
-<!--            some of the dirs already exists -+
-                                                 V    -->
-<screen role="root"><userinput>mkdir -pv /usr/{lib/lazarus,bin,share{/man/man1,/doc}}
-rsync -a \
-    --exclude="CVS"     --exclude=".cvsignore" \
-    --exclude="*.ppw"   --exclude="*.ppl" \
-    --exclude="*.ow"    --exclude="*.a"\
-    --exclude="*.rst"   --exclude=".#*" \
-    --exclude="*.~*"    --exclude="*.bak" \
-    --exclude="*.orig"  --exclude="*.rej" \
-    --exclude=".xvpics" \
-    --exclude="killme*" --exclude=".gdb_hist*" \
-    --exclude="debian"  --exclude="COPYING*" \
-    --exclude="*.app"   --exclude="tools/install" \
-    . /usr/lib/lazarus
-ln -s /usr/lib/lazarus/lazbuild /usr/bin/lazbuild
-cp -R install/man/man1/* /usr/share/man/man1/
-mv /usr/lib/lazarus/docs /usr/share/doc/lazarus
+<screen role="root"><userinput>make INSTALL_PREFIX=/usr distinstall
 
-mkdir -p /usr/lib/lazarus/docs
-ln -s /usr/share/doc/lazarus/chm /usr/lib/lazarus/docs/html
-ln -s /usr/share/doc/lazarus/lazdoc.css /usr/lib/lazarus/docs/lazdoc.css
+mv /usr/share/lazarus/docs /usr/share/doc/lazarus
 
-install -D -m644 COPYING.modifiedLGPL.txt /usr/share/licenses/lazarus/COPYING.modifiedLGPL
+mv /usr/share/lazarus /usr/lib/
+for L in $(find /usr/bin -type l); do
+    ln -svf "$(readlink $L | sed 's@/share/@/lib/@')" "$L"
+done
 
 sed -e 's|\(Categories\).*|\1=IDE;Development;|' \
-    -e 's|\.png|\.xpm|' -i install/lazarus.desktop
-install -Dm644 install/lazarus.desktop /usr/share/applications/lazarus.desktop
-install -Dm644 images/ide_icon48x48.png /usr/share/pixmaps/lazarus.png</userinput></screen>
+    -i /usr/share/applications/lazarus.desktop
+
+install -Dm644 images/ide_icon48x48.png \
+       /usr/share/pixmaps/lazarus.png</userinput></screen>
 
   </sect2>
@@ -168,7 +157,7 @@
 
       <seglistitem>
-        <seg>lazarus, ...</seg>
+        <seg>startlazarus, lazarus-ide, lrstolfm, updatepofiles, lazbuild, lazres</seg>
         <seg>None</seg>
-        <seg>None</seg>
+        <seg>/usr/lib/lazarus</seg>
       </seglistitem>
     </segmentedlist>
@@ -180,11 +169,11 @@
 
       <varlistentry id="lazarus-pgm">
-        <term><filename class="libraryfile">lazarus</filename></term>
+        <term><filename class="libraryfile">startlazarus</filename></term>
         <listitem>
           <para>
-            the Delphi-like IDE
+            Starting the Delphi-like IDE
           </para>
           <indexterm zone="lazarus lazarus-pgm">
-            <primary sortas="b-lazarus">lazarus</primary>
+            <primary sortas="b-lazarus">startlazarus</primary>
           </indexterm>
         </listitem>
Index: general/prog/qt5pas.xml
===================================================================
--- general/prog/qt5pas.xml	(revision e6974d1ef29a29ceac20e2a86bca89967ff5d9b2)
+++ general/prog/qt5pas.xml	(revision 8163ea8ffad29cdbac437a98d868783404285963)
@@ -5,7 +5,17 @@
   %general-entities;
 
-  <!ENTITY qt5pas-download-http "https://github.com/davidbannon/libqt5pas/archive/v&qt5pas-version;/libqt5pas-&qt5pas-version;.tar.gz">
-  <!ENTITY qt5pas-md5sum        "f2171acbe358e16e7c4344928c53d2c3">
-  <!ENTITY qt5pas-size          "471.6 KB">
+  <!-- ENTITY qt5pas-download-http "https://github.com/davidbannon/libqt5pas/archive/v&qt5pas-version;/libqt5pas-&qt5pas-version;.tar.gz" -->
+
+  <!--
+       NOTE:
+       The url, size, md5sum is exactly same as in Lazarus as Qt5Pas
+       is included in the Lazarus source package.
+       It needs to be installed before Lazarus can be built based
+       on QT.
+  -->
+     
+  <!ENTITY lazarus-download-http "https://downloads.sourceforge.net/project/lazarus/Lazarus Zip _ GZip/Lazarus &lazarus-version;/lazarus-&lazarus-version;-0.tar.gz">
+  <!ENTITY lazarus-md5sum        "c47680c84192008af1d05aa42b58c1da">
+  <!ENTITY lazarus-size          "73.2 MB">
   <!ENTITY qt5pas-buildsize     "2.5 MB">
   <!ENTITY qt5pas-time          "7 SBU">
@@ -38,15 +48,15 @@
       <listitem>
         <para>
-          Download (HTTP): <ulink url="&qt5pas-download-http;"/>
+          Download (HTTP): <ulink url="&lazarus-download-http;"/>
         </para>
       </listitem>
       <listitem>
         <para>
-          Download MD5 sum: &qt5pas-md5sum;
+          Download MD5 sum: &lazarus-md5sum;
         </para>
       </listitem>
       <listitem>
         <para>
-          Download size: &qt5pas-size;
+          Download size: &lazarus-size;
         </para>
       </listitem>
@@ -78,8 +88,15 @@
 
     <para>
-      Build the package by running the following commands:
+      The <application>qt5pas</application> package is included in
+      the <application>Lazarus</application> source package but it
+      needs to be built before Lazarus can be built with QT as 
+      graphical interface libraries.</para>
+    <para>There is no need (no way) to specify the installation 
+      target (as usually done by passing --prefix to configure).
+      Qt5pas will be installed in QT's library directory. Build the
+      package by running the following commands:
     </para>
 
-<screen><userinput>cd cbindings &amp;&amp;
+<screen><userinput>cd lcl/interfaces/qt5/cbindings &amp;&amp;
 qmake-qt5 "QT += x11extras" &amp;&amp;
 make</userinput></screen>
Index: packages.ent
===================================================================
--- packages.ent	(revision e6974d1ef29a29ceac20e2a86bca89967ff5d9b2)
+++ packages.ent	(revision 8163ea8ffad29cdbac437a98d868783404285963)
@@ -409,6 +409,7 @@
 <!-- ENTITY freepascal-bin-version       "&freepascal-version;" -->
 <!ENTITY freepascal-bin-version       "3.2.0">
-<!ENTITY qt5pas-version               "1.2.9">
-<!ENTITY lazarus-version              "2.0.12">
+<!ENTITY qt5pas-version               "2.6.&lazarus-version;">
+<!ENTITY lazarus-version              "2.2.0">
+<!ENTITY lazarus-tag                  "2_2_0">
 
 <!-- Perl module versions used in the Perl Modules instructions