Index: general.ent
===================================================================
--- general.ent	(revision 2895b89dbf6cf54d8151b82dd8fbff10ccc518eb)
+++ general.ent	(revision 8180b8914b45c6cf207100c97baea9a44ad184e7)
@@ -4,5 +4,5 @@
 -->
 
-<!ENTITY day          "15">                   <!-- Always 2 digits -->
+<!ENTITY day          "19">                   <!-- Always 2 digits -->
 <!ENTITY month        "09">                   <!-- Always 2 digits -->
 <!ENTITY year         "2012">
@@ -10,5 +10,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "September 15th, &year;">
+<!ENTITY releasedate  "September 19th, &year;">
 <!-- <!ENTITY releasedate  "November &day;st, &year;"> -->
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
@@ -282,6 +282,6 @@
 <!ENTITY libusb-version               "1.0.9">
 <!ENTITY libusb-compat-version        "0.1.4">
-<!ENTITY libxml2-version              "2.8.0">
-<!ENTITY libxslt-version              "1.1.26">
+<!ENTITY libxml2-version              "2.9.0">
+<!ENTITY libxslt-version              "1.1.27">
 <!ENTITY LZO-version                  "2.06">
 <!ENTITY mtdev-version                "1.1.2">
Index: general/genlib/libxml2.xml
===================================================================
--- general/genlib/libxml2.xml	(revision 2895b89dbf6cf54d8151b82dd8fbff10ccc518eb)
+++ general/genlib/libxml2.xml	(revision 8180b8914b45c6cf207100c97baea9a44ad184e7)
@@ -5,11 +5,9 @@
   %general-entities;
 
-  <!ENTITY libxml2-download-http
-    "http://xmlsoft.org/sources/libxml2-&libxml2-version;.tar.gz">
-  <!ENTITY libxml2-download-ftp
-    "ftp://xmlsoft.org/libxml2/libxml2-&libxml2-version;.tar.gz">
-  <!ENTITY libxml2-md5sum        "c62106f02ee00b6437f0fb9d370c1093">
-  <!ENTITY libxml2-size          "4.7 MB">
-  <!ENTITY libxml2-buildsize     "89 MB">
+  <!ENTITY libxml2-download-http "http://xmlsoft.org/sources/libxml2-&libxml2-version;.tar.gz">
+  <!ENTITY libxml2-download-ftp  "ftp://xmlsoft.org/libxml2/libxml2-&libxml2-version;.tar.gz">
+  <!ENTITY libxml2-md5sum        "5b9bebf4f5d2200ae2c4efe8fa6103f7">
+  <!ENTITY libxml2-size          "5.0 MB">
+  <!ENTITY libxml2-buildsize     "100 MB">
   <!ENTITY libxml2-time          "0.7 SBU">
 ]>
@@ -26,5 +24,5 @@
 
   <indexterm zone="libxml2">
-    <primary sortas="a-Libxml2">Libxml2</primary>
+    <primary sortas="a-libxml2">libxml2</primary>
   </indexterm>
 
@@ -33,6 +31,6 @@
 
     <para>
-      The <application>libxml2</application> package contains XML libraries.
-      These are useful for parsing XML files.
+      The <application>libxml2</application> package contains libraries
+      and utilities used for parsing XML files.
     </para>
 
@@ -42,25 +40,37 @@
     <itemizedlist spacing="compact">
       <listitem>
-        <para>Download (HTTP): <ulink url="&libxml2-download-http;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download (FTP): <ulink url="&libxml2-download-ftp;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download MD5 sum: &libxml2-md5sum;</para>
-      </listitem>
-      <listitem>
-        <para>Download size: &libxml2-size;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated disk space required: &libxml2-buildsize;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated build time: &libxml2-time;</para>
+        <para>
+          Download (HTTP): <ulink url="&libxml2-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&libxml2-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &libxml2-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &libxml2-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &libxml2-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &libxml2-time;
+        </para>
       </listitem>
     </itemizedlist>
 
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
-    <itemizedlist spacing='compact'>
+    <itemizedlist spacing="compact">
       <listitem>
         <para>
@@ -86,5 +96,5 @@
         <application>GNOME Doc Utils</application>) need the
         <application>Python</application> module installed to function properly
-        and some packages (such as GNOME Panel) will not build properly if the
+        and some packages (such as MesaLib) will not build properly if the
         <application>Python</application> module is not available.
       </para>
@@ -111,5 +121,7 @@
 make</userinput></screen>
 
-    <para>To test the results, issue: <command>make check</command>.</para>
+    <para>
+      To test the results, issue: <command>make check</command>.
+    </para>
 
     <para>
@@ -127,8 +139,9 @@
 
     <para>
-      <option>--with-history</option>: If this option is used, it enables
+      <option>--with-history</option>: If this switch is used, it enables
       <application>Readline</application> support when running
       <command>xmlcatalog</command> or <command>xmllint</command> in shell mode.
     </para>
+
   </sect2>
 
@@ -143,7 +156,5 @@
       <seglistitem>
         <seg>
-          xml2-config,
-          xmlcatalog and
-          xmllint
+          xml2-config, xmlcatalog and xmllint
         </seg>
         <seg>
@@ -205,5 +216,5 @@
 
       <varlistentry id="libxml2-lib">
-        <term><filename class='libraryfile'>libxml2.so</filename></term>
+        <term><filename class="libraryfile">libxml2.so</filename></term>
         <listitem>
           <para>
@@ -216,5 +227,8 @@
         </listitem>
       </varlistentry>
+
     </variablelist>
-  </sect2>
+
+  </sect2>
+
 </sect1>
Index: general/genlib/libxslt.xml
===================================================================
--- general/genlib/libxslt.xml	(revision 2895b89dbf6cf54d8151b82dd8fbff10ccc518eb)
+++ general/genlib/libxslt.xml	(revision 8180b8914b45c6cf207100c97baea9a44ad184e7)
@@ -7,7 +7,7 @@
   <!ENTITY libxslt-download-http "http://xmlsoft.org/sources/libxslt-&libxslt-version;.tar.gz">
   <!ENTITY libxslt-download-ftp  "ftp://xmlsoft.org/libxslt/libxslt-&libxslt-version;.tar.gz">
-  <!ENTITY libxslt-md5sum        "e61d0364a30146aaa3001296f853b2b9">
+  <!ENTITY libxslt-md5sum        "4d01ff464b9ea7236925a1adf147c7f8">
   <!ENTITY libxslt-size          "3.3 MB">
-  <!ENTITY libxslt-buildsize     "38 MB">
+  <!ENTITY libxslt-buildsize     "35 MB">
   <!ENTITY libxslt-time          "0.3 SBU">
 ]>
@@ -24,5 +24,5 @@
 
   <indexterm zone="libxslt">
-    <primary sortas="a-Libxslt">Libxslt</primary>
+    <primary sortas="a-libxslt">libxslt</primary>
   </indexterm>
 
@@ -30,8 +30,10 @@
     <title>Introduction to libxslt</title>
 
-    <para>The <application>libxslt</application> package contains
-    XSLT libraries. These are useful for extending <filename
-    class="libraryfile">libxml2</filename> libraries to support
-    XSLT files.</para>
+    <para>
+      The <application>libxslt</application> package contains
+      XSLT libraries used for extending <filename
+      class="libraryfile">libxml2</filename> libraries to
+      support XSLT files.
+    </para>
 
     &lfs72_checked;
@@ -40,20 +42,32 @@
     <itemizedlist spacing="compact">
       <listitem>
-        <para>Download (HTTP): <ulink url="&libxslt-download-http;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download (FTP): <ulink url="&libxslt-download-ftp;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download MD5 sum: &libxslt-md5sum;</para>
-      </listitem>
-      <listitem>
-        <para>Download size: &libxslt-size;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated disk space required: &libxslt-buildsize;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated build time: &libxslt-time;</para>
+        <para>
+          Download (HTTP): <ulink url="&libxslt-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&libxslt-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &libxslt-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &libxslt-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &libxslt-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &libxslt-time;
+        </para>
       </listitem>
     </itemizedlist>
@@ -62,13 +76,17 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required"><xref linkend="libxml2"/></para>
+    <para role="required">
+      <xref linkend="libxml2"/>
+    </para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="python2"/> and
-    <xref linkend="libgcrypt"/></para>
+    <para role="optional">
+      <xref linkend="libgcrypt"/> and
+      <xref linkend="python2"/>
+    </para>
 
     <para condition="html" role="usernotes">User Notes:
-    <ulink url="&blfs-wiki;/libxslt"/></para>
-
+      <ulink url="&blfs-wiki;/libxslt"/>
+    </para>
   </sect2>
 
@@ -76,15 +94,29 @@
     <title>Installation of libxslt</title>
 
-    <para>Install <application>libxslt</application> by running the following
-    commands:</para>
-
-<screen><userinput>./configure --prefix=/usr &amp;&amp;
+    <para>
+      Install <application>libxslt</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
 make</userinput></screen>
 
-    <para>To test the results, issue: <command>make check</command>.</para>
-
-    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+    <para>
+      To test the results, issue: <command>make check</command>.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
 
 <screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/static-libraries.xml"/>
 
   </sect2>
@@ -99,8 +131,14 @@
 
       <seglistitem>
-        <seg>xslt-config and xsltproc</seg>
-        <seg>libexslt.{so,a}, libxslt.{so,a} and optionally, libxsltmod.{so,a}
-        <application>Python</application> modules</seg>
-        <seg>/usr/include/lib{e}xslt,
+        <seg>
+          xslt-config and xsltproc
+        </seg>
+        <seg>
+          libexslt.so, libxslt.so and optionally, libxsltmod.so
+          <application>Python</application> modules
+        </seg>
+        <seg>
+        /usr/include/libexslt,
+        /usr/include/libxslt,
         /usr/lib/libxslt-plugins,
         /usr/share/doc/libxslt-&libxslt-version;, and
@@ -117,7 +155,9 @@
         <term><command>xslt-config</command></term>
         <listitem>
-          <para>is used to find out the pre-processor, linking and
-          compiling flags necessary to use the <application>libxslt</application>
-          libraries in 3rd-party programs.</para>
+          <para>
+            is used to find out the pre-processor, linking and
+            compiling flags necessary to use the <application>libxslt</application>
+            libraries in 3rd-party programs.
+          </para>
           <indexterm zone="libxslt xslt-config">
             <primary sortas="b-xslt-config">xslt-config</primary>
@@ -129,5 +169,7 @@
         <term><command>xsltproc</command></term>
         <listitem>
-          <para>is used to apply XSLT stylesheets to XML documents.</para>
+          <para>
+            is used to apply XSLT stylesheets to XML documents.
+          </para>
           <indexterm zone="libxslt xsltproc">
             <primary sortas="b-xsltproc">xsltproc</primary>
@@ -136,22 +178,26 @@
       </varlistentry>
 
+      <varlistentry id="libexslt">
+        <term><filename class="libraryfile">libexslt.so</filename></term>
+        <listitem>
+          <para>
+            is used to provide extensions to XSLT functions.
+          </para>
+          <indexterm zone="libxslt libexslt">
+            <primary sortas="c-libexslt">libexslt.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="libxslt-lib">
-        <term><filename class='libraryfile'>libxslt.{so,a}</filename></term>
-        <listitem>
-          <para> provides extensions to the
-          <filename class="libraryfile">libxml2</filename>
-          libraries to parse files that use the XSLT format.</para>
+        <term><filename class="libraryfile">libxslt.so</filename></term>
+        <listitem>
+          <para>
+            provides extensions to the
+            <filename class="libraryfile">libxml2</filename>
+            libraries to parse files that use the XSLT format.
+          </para>
           <indexterm zone="libxslt libxslt-lib">
-            <primary sortas="c-libxslt">libxslt.{so,a}</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libexslt">
-        <term><filename class='libraryfile'>libexslt.{so,a}</filename></term>
-        <listitem>
-          <para>is used to provide extensions to XSLT functions.</para>
-          <indexterm zone="libxslt libexslt">
-            <primary sortas="c-libexslt">libexslt.{so,a}</primary>
+            <primary sortas="c-libxslt">libxslt.so</primary>
           </indexterm>
         </listitem>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 2895b89dbf6cf54d8151b82dd8fbff10ccc518eb)
+++ introduction/welcome/changelog.xml	(revision 8180b8914b45c6cf207100c97baea9a44ad184e7)
@@ -44,4 +44,17 @@
 
 -->
+
+   <listitem>
+      <para>September 16th, 2012</para>
+      <itemizedlist>
+        <listitem>
+          <para>[krejzi] - libxml2 2.9.0.</para>
+        </listitem>
+        <listitem>
+          <para>[krejzi] - libxslt 1.1.27.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
    <listitem>
       <para>September 16th, 2012</para>