Index: general/prog/gcc/gcc-desc.xml
===================================================================
--- general/prog/gcc/gcc-desc.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ general/prog/gcc/gcc-desc.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -14,5 +14,6 @@
 <command>gnatmake</command>, <command>gnatprep</command>,
 <command>gnatpsta</command>, <command>gnatpsys</command>,
-<command>gnatxref</command> and <filename>gcc</filename> libraries.</para>
+<command>gnatxref</command> and
+<application>><acronym>GCC</acronym></application> libraries.</para>
 
 </sect2>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ introduction/welcome/changelog.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -11,4 +11,7 @@
 
 <itemizedlist>
+
+<listitem><para>September 29th, 2003 [larry]: added gocr to
+Scanning.</para></listitem>
 
 <listitem><para>September 28th, 2003 [tushar]: Added ntp to
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ introduction/welcome/credits.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -85,5 +85,5 @@
 <itemizedlist>
 
-<listitem><para>aalib, Alsa, ffmpeg, MPlayer, opendivx, sane, transcode,
+<listitem><para>aalib, Alsa, ffmpeg, gocr, MPlayer, opendivx, sane, transcode,
 xvid and xsane: <emphasis>Alex Kloss</emphasis></para></listitem>
 
Index: kde/inst/kde-base.xml
===================================================================
--- kde/inst/kde-base.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ kde/inst/kde-base.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -50,5 +50,5 @@
  
 <para><command>--disable-lametest</command> : Do not search for and use 
-lame support. This package provides <filename>mp3</filename> encoding. Omit this option if
+lame support. This package provides <filename>MP3</filename> encoding. Omit this option if
 you installed <filename>lame</filename>.</para>
   
Index: multimedia/audioutils/mpg123/mpg123-intro.xml
===================================================================
--- multimedia/audioutils/mpg123/mpg123-intro.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ multimedia/audioutils/mpg123/mpg123-intro.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -3,6 +3,6 @@
 
 <para>The <application>mpg123</application> package contains a console-based 
-<filename>mp3</filename> player. It claims to be the fastest <filename>mp3
-</filename> decoder for unix.</para>
+<filename>MP3</filename> player. It claims to be the fastest <filename>MP3
+</filename> decoder for UNIX.</para>
 
 <sect3><title>Package information</title>
Index: multimedia/audioutils/vorbistools/vorbistools-desc.xml
===================================================================
--- multimedia/audioutils/vorbistools/vorbistools-desc.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ multimedia/audioutils/vorbistools/vorbistools-desc.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -15,9 +15,9 @@
 <para><command>oggdec</command> is a simple decoder which converts Ogg Vorbis 
 file into <acronym>PCM</acronym> audio files (<filename>WAV</filename> or
-<filename>raw</filename>).</para></sect3>
+<filename>RAW</filename>).</para></sect3>
 
 <sect3><title>oggenc</title>
 <para><command>oggenc</command> is the encoder that turns
-<filename>raw</filename>, <filename>WAV</filename> or <filename>AIFF
+<filename>RAW</filename>, <filename>WAV</filename> or <filename>AIFF
 </filename> files into an Ogg Vorbis stream.</para></sect3>
 
Index: multimedia/audioutils/vorbistools/vorbistools-intro.xml
===================================================================
--- multimedia/audioutils/vorbistools/vorbistools-intro.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ multimedia/audioutils/vorbistools/vorbistools-intro.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -3,5 +3,5 @@
 
 <para>The <application>Vorbis-Tools</application> package contains command line 
-tools for <filename>ogg</filename> audio files.  This is useful for encoding, 
+tools for <filename>OGG</filename> audio files.  This is useful for encoding, 
 playing or editing files using the Ogg <acronym>CODEC</acronym>.</para>
 
Index: multimedia/audioutils/xmms/xmms-desc.xml
===================================================================
--- multimedia/audioutils/xmms/xmms-desc.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ multimedia/audioutils/xmms/xmms-desc.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -11,5 +11,5 @@
 <para><acronym>XMMS</acronym>, which stands for X MultiMedia System, is a 
 program comparable in function with WinAMP. It's main function is playing audio 
-files like <filename>wav</filename> and <filename>mp3</filename>. It can be 
+files like <filename>WAV</filename> and <filename>MP3</filename>. It can be 
 extended with plugins to play a number of 
 other audio or video formats. It's look can be customized with WinAMP style 
Index: multimedia/cdwriteutils/cdrtools/cdrtools-desc.xml
===================================================================
--- multimedia/cdwriteutils/cdrtools/cdrtools-desc.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ multimedia/cdwriteutils/cdrtools/cdrtools-desc.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -18,5 +18,5 @@
 <sect3><title>cdda2wav</title>
 <para><command>cdda2wav</command> dumps Compact Disc audio into
-<filename>wav</filename> sound files.</para></sect3>
+<filename>WAV</filename> sound files.</para></sect3>
 
 <sect3><title>mkisofs</title>
Index: multimedia/libdriv/esound/esound-desc.xml
===================================================================
--- multimedia/libdriv/esound/esound-desc.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ multimedia/libdriv/esound/esound-desc.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -17,5 +17,5 @@
 
 <sect3><title>esdcat</title>
-<para><command>esdcat</command> plays a <filename>raw</filename> audio stream 
+<para><command>esdcat</command> plays a <filename>RAW</filename> audio stream 
 through the daemon.</para></sect3>
 
Index: multimedia/libdriv/flac/flac-intro.xml
===================================================================
--- multimedia/libdriv/flac/flac-intro.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ multimedia/libdriv/flac/flac-intro.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -3,5 +3,5 @@
 
 <para><application><acronym>FLAC</acronym></application> is an audio
-codec similar to <filename>MP3</filename>, but
+<acronym>CODEC</acronym> similar to <filename>MP3</filename>, but
 lossless, meaning that audio is compressed without throwing away any
 information.</para>
Index: multimedia/libdriv/libdv/libdv-desc.xml
===================================================================
--- multimedia/libdriv/libdv/libdv-desc.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ multimedia/libdriv/libdv/libdv-desc.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -25,5 +25,5 @@
 <para><filename class="libraryfile">libdv</filename>
 provides functions for the programs manipulating with the Quasar DV
-codec.</para></sect3>
+<acronym>CODEC</acronym>.</para></sect3>
 
 </sect2>
Index: multimedia/libdriv/libdv/libdv-intro.xml
===================================================================
--- multimedia/libdriv/libdv/libdv-intro.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ multimedia/libdriv/libdv/libdv-intro.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -2,6 +2,6 @@
 <title>Introduction to <application>libdv</application></title>
 
-<para><application>libdv</application> (Quasar DV) is a software codec
-for DV video, the encoding format used by most digital camcorders.</para>
+<para><application>libdv</application> (Quasar DV) is a software
+<acronym>CODEC</acronym> for DV video, the encoding format used by most digital camcorders.</para>
 
 <sect3><title>Package information</title>
Index: multimedia/libdriv/openquicktime/openquicktime-intro.xml
===================================================================
--- multimedia/libdriv/openquicktime/openquicktime-intro.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ multimedia/libdriv/openquicktime/openquicktime-intro.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -17,5 +17,5 @@
 <sect3><title>Additional downloads</title>
 <itemizedlist spacing='compact'>
-<listitem><para>Optional codecs: <ulink
+<listitem><para>Optional <acronym>CODEC</acronym>: <ulink
 url="http://www.openquicktime.org/codecs.php"/></para></listitem>
 </itemizedlist></sect3>
Index: multimedia/libdriv/speex/speex-desc.xml
===================================================================
--- multimedia/libdriv/speex/speex-desc.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ multimedia/libdriv/speex/speex-desc.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -12,9 +12,9 @@
 <sect3><title>speexdec</title>
 <para><command>speexdec</command> decodes a Speex file and produce a
-<filename>WAV</filename> file or <filename>raw</filename> file.</para></sect3>
+<filename>WAV</filename> file or <filename>RAW</filename> file.</para></sect3>
 
 <sect3><title>speexenc</title>
 <para><command>speexenc</command> encodes a <filename>WAV</filename> or
-<filename>raw</filename> file using Speex.</para></sect3>
+<filename>RAW</filename> file using Speex.</para></sect3>
 
 <sect3><title>libspeex</title>
Index: multimedia/libdriv/speex/speex-intro.xml
===================================================================
--- multimedia/libdriv/speex/speex-intro.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ multimedia/libdriv/speex/speex-intro.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -4,5 +4,6 @@
 <para><application>Speex</application> is an audio compression format designed
 especially for speech. It is well-adapted to Internet applications and
-provides useful features that are not present in most other codecs.</para>
+provides useful features that are not present in most other
+<acronym>CODEC</acronym>s.</para>
 
 <sect3><title>Package information</title>
Index: multimedia/videoutils/avifile/avifile-desc.xml
===================================================================
--- multimedia/videoutils/avifile/avifile-desc.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ multimedia/videoutils/avifile/avifile-desc.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -14,5 +14,6 @@
 
 <sect3><title>aviplay</title>
-<para><command>aviplay</command> manages the input formats, the codecs and the 
+<para><command>aviplay</command> manages the input formats, the
+<acronym>CODEC</acronym>s and the 
 output formats to display <acronym>AVI</acronym> video files on your screen.
 </para></sect3>
@@ -33,5 +34,6 @@
 <sect3><title>avirecompress</title>
 <para><command>avirecompress</command> is a widget that takes an input file of 
-one codec type and converts it into a video file of another codec.</para>
+one <acronym>CODEC</acronym> type and converts it into a video file of
+another <acronym>CODEC</acronym>.</para>
 </sect3>
 
Index: multimedia/videoutils/avifile/avifile-intro.xml
===================================================================
--- multimedia/videoutils/avifile/avifile-intro.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ multimedia/videoutils/avifile/avifile-intro.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -18,5 +18,5 @@
 <sect3><title>Additional downloads</title>
 <itemizedlist spacing='compact'>
-<listitem><para>Required codecs: <ulink
+<listitem><para>Required <acronym>CODEC</acronym>s: <ulink
 url="http://flow.dl.sourceforge.net/sourceforge/avifile/binaries-011002.tgz"/></para></listitem>
 </itemizedlist></sect3>
Index: multimedia/videoutils/mplayer/mplayer-config.xml
===================================================================
--- multimedia/videoutils/mplayer/mplayer-config.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ multimedia/videoutils/mplayer/mplayer-config.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -8,5 +8,6 @@
 <sect3><title>Configuration Information</title>
 
-<para>If you wish to utilize a freetype font, you need to link a TTF
+<para>If you wish to utilize a <application>FreeType</application> font,
+you need to link a <filename>TTF</filename>
 file to your <filename>~/.mplayer</filename> directory.  For example:
 <screen><userinput><command>ln -sf /usr/X11R6/lib/X11/fonts/TTF/luxisri.ttf /etc/mplayer/subfont.ttf
@@ -21,9 +22,8 @@
 from your source directory:</para>
 
-<screen><userinput><command>cat &gt; /etc/mplayer/config &lt;&lt; "EOF"
+<screen><userinput><command>cat &gt; /etc/mplayer/config &lt;&lt; "EOF"</command>
 gui = yes
 skin = default
-EOF
-</command></userinput></screen>
+<command>EOF</command></userinput></screen>
 
 <para>The first line, <userinput>gui = yes</userinput>, will make
@@ -31,5 +31,5 @@
 in <acronym>GUI</acronym> mode or not, leave that line out and start
 <command>mplayer</command> with
-<command>-gui</command> or as <command>gmplayer</command> (e.g.
+<userinput>-gui</userinput> or as <command>gmplayer</command> (e.g.
 when starting from a Window Manager menu or command prompt).</para>
 
Index: multimedia/videoutils/mplayer/mplayer-desc.xml
===================================================================
--- multimedia/videoutils/mplayer/mplayer-desc.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ multimedia/videoutils/mplayer/mplayer-desc.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The MPlayer package contains <command>mplayer</command>,
+<para>The <application>MPlayer</application> package contains <command>mplayer</command>,
 <command>gmplayer</command> and <command>mencoder</command>.</para>
 
@@ -10,13 +10,15 @@
 
 <sect3><title>mplayer</title>
-<para><command>mplayer</command> manages the input formats, the codecs and the output
-formats to play video files, <acronym>DVD</acronym>s, (S)VCDs or network streams containing
+<para><command>mplayer</command> manages the input formats, the
+<acronym>CODEC</acronym>s and the output
+formats to play video files, <acronym>DVD</acronym>s,
+(S)<acronym>VCD</acronym>s or network streams containing
 audio and/or video informations on your system.</para>
 <para>Examples:</para>
 
-<screen><userinput><command>mplayer -fs blfs.avi
+<screen><command>mplayer -fs blfs.avi
 mplayer -vo fbdev -fb /dev/fb0 -dvd 1 -aid 128 -sub en -framedrop
 mplayer -fs -vcd 1; # works both for VCDs and SVCDs
-mplayer http://www.students.uni-marburg.de/~Klossa/hapkidofight_lo.mpg</command></userinput></screen>
+mplayer http://www.students.uni-marburg.de/~Klossa/hapkidofight_lo.mpg</command></screen>
 
 <para>For further information, have a look at the very good
@@ -26,10 +28,11 @@
 
 <sect3><title>gmplayer</title>
-<para><command>gmplayer</command> is MPlayer with a graphical user interface.</para></sect3>
+<para><command>gmplayer</command> is <application>MPlayer</application> with a graphical user interface.</para></sect3>
 
 <sect3><title>mencoder</title>
-<para><command>mencoder</command> is used to encode any MPlayer-playable movie to DivX4,
-XviD or any codec in libavcodec with
-<acronym>PCM</acronym>/<filename>MP3</filename>/VBRMP3 audio.</para>
+<para><command>mencoder</command> is used to encode any
+<application>MPlayer</application> playable movie to DivX4,
+<application>XviD</application> or any <acronym>CODEC</acronym> in libavcodec with
+<acronym>PCM</acronym>/MP3/VBRMP3 audio.</para>
 
 <para>Example:</para>
@@ -37,5 +40,5 @@
 <screen><userinput><command>rm frameno.avi
 mencoder -dvd 1 -aid 128 -ovc frameno -oac mp3lame \
--lameopts vbr=3 -o frameno.avi
+-lameopts vbr=3 -o frameno.avi</command>
 
 # mencoder should output bitrates for average encodings
@@ -44,5 +47,5 @@
 # personal liking.
 
-mencoder -dvd 1 -aid 128 -oac copy -ovc lavc \
+<command>mencoder -dvd 1 -aid 128 -oac copy -ovc lavc \
 -lavcopts vcodec=mpeg4:vpass=1:vhq:vbitrate=&lt;bitrate&gt; -o &lt;name.avi&gt;
 mencoder -dvd 1 -aid 128 -oac copy -ovc lavc \
Index: multimedia/videoutils/mplayer/mplayer-exp.xml
===================================================================
--- multimedia/videoutils/mplayer/mplayer-exp.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ multimedia/videoutils/mplayer/mplayer-exp.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -2,8 +2,10 @@
 <title>Command explanations</title>
 
-<para><command>--enable-gui</command> : This switch tells MPlayer to compile the gui code.</para>
+<para><command>--enable-gui</command> : This switch tells
+<application>MPlayer</application> to compile the <acronym>GUI</acronym> code.</para>
 
 <para><command>--enable-menu</command> :  These
-switches enable the new menu support.  It's like an OSD, but you can
+switches enable the new menu support.  It's like an
+<acronym>OSD</acronym>, but you can
 also run a shell with it.</para>
 
@@ -14,6 +16,6 @@
 
 <para><command>cp etc/codecs.conf /etc/mplayer</command> : This
-command copies the standard codecs.conf file to the system-wide configuration directory.
-MPlayer expects this file at startup.</para>
+command copies the standard <filename>codecs.conf</filename> file to the system-wide configuration directory.
+<application>MPlayer</application> expects this file at startup.</para>
 
 </sect2>
Index: multimedia/videoutils/mplayer/mplayer-inst.xml
===================================================================
--- multimedia/videoutils/mplayer/mplayer-inst.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ multimedia/videoutils/mplayer/mplayer-inst.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -18,5 +18,5 @@
 </command></userinput></screen>
 
-<para>If freetype is in use, the only advantage of prerendered fonts is
+<para>If <application>FreeType</application> is in use, the only advantage of prerendered fonts is
 that they are faster. Install them like this:</para>
 
@@ -31,7 +31,7 @@
 from your <acronym>DVD</acronym> drive to <filename>/dev/dvd</filename>:</para>
 
-<screen><userinput><command>ln -s /dev/&lt;dvd drive&gt; /dev/dvd</command></userinput></screen>
+<screen><userinput><command>ln -s /dev/<replaceable>[dvd drive]</replaceable> /dev/dvd</command></userinput></screen>
 
-<para>Replace <userinput>&lt;dvd drive&gt;</userinput> with whatever
+<para>Replace <replaceable>[dvd drive]</replaceable> with whatever
 device is appropriate, for example <filename>/dev/hdc</filename>. if
 you don't know which device to choose, type:</para>
@@ -41,6 +41,6 @@
 <para>It should result in an output like:</para>
 
-<screen><userinput><command>hdc: Pioneer DVD-ROM ATAPIModel DVD-114 0110,
-ATAPI CD/DVD-ROM drive</command></userinput></screen>
+<screen><userinput>hdc: Pioneer DVD-ROM ATAPIModel DVD-114 0110,
+ATAPI CD/DVD-ROM drive</userinput></screen>
 
 <para>If you have SCSI-Emulation activated for the drives, you'll need
Index: multimedia/videoutils/mplayer/mplayer-intro.xml
===================================================================
--- multimedia/videoutils/mplayer/mplayer-intro.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ multimedia/videoutils/mplayer/mplayer-intro.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -3,5 +3,5 @@
 
 <para>The <application>MPlayer</application> package contains an audio/video player that is able to
-play almost every audio and video codec and can be controlled by command
+play almost every audio and video <acronym>CODEC</acronym> and can be controlled by command
 line or <acronym>GUI</acronym>.</para>
 
@@ -17,5 +17,5 @@
 <sect3><title>Additional downloads</title>
 <itemizedlist spacing='compact'>
-<listitem><para>Required codecs: <ulink
+<listitem><para>Required <acronym>CODEC</acronym>s: <ulink
 url="http://www1.mplayerhq.hu/MPlayer/releases/codecs/extralite.tar.bz2"/></para></listitem>
 <listitem><para>Required skin: <ulink
@@ -28,5 +28,5 @@
 <note><para>These are the minimum to install working
 <application>MPlayer</application>. For more
-codecs, skins and fonts visit <application>MPlayer</application>'s homepage.</para></note>
+<acronym>CODEC</acronym>s, skins and fonts visit <application>MPlayer</application>'s homepage.</para></note>
 
 </sect3>
Index: multimedia/videoutils/transcode/transcode-desc.xml
===================================================================
--- multimedia/videoutils/transcode/transcode-desc.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ multimedia/videoutils/transcode/transcode-desc.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -26,6 +26,7 @@
 
 <sect3><title>tcdecode</title>
-<para><command>tcdecode</command> is used to decode input files to raw video 
-and pcm audio stream.</para></sect3>
+<para><command>tcdecode</command> is used to decode input files to
+<filename>RAW</filename> video 
+and <acronym>PCM</acronym> audio stream.</para></sect3>
 
 <sect3><title>tcdemux</title>
@@ -51,22 +52,22 @@
 <sect3><title>avicodec</title>
 <para><command>avicodec</command> indicates or changes
-<acronym>FOURCC</acronym> codec flag in an <filename>avi</filename> 
-file.</para></sect3>
+<acronym>FOURCC</acronym> <acronym>CODEC</acronym> flag in an
+<filename>AVI</filename> file.</para></sect3>
 
 <sect3><title>avidump</title>
 <para><command>avidump</command> dumps audio or video stream of an given 
-avifile to stdout (for <filename>avi</filename> conversion or extraction of audio streams).</para></sect3>
+<filename>AVI</filename> file to stdout (for <filename>AVI</filename> conversion or extraction of audio streams).</para></sect3>
 
 <sect3><title>avimerge</title>
-<para><command>avimerge</command> merges <filename>avi</filename> files of the same format. Do not 
-try to merge <filename>avi</filename> files of different formats, it will most likely result in 
+<para><command>avimerge</command> merges <filename>AVI</filename> files of the same format. Do not 
+try to merge <filename>AVI</filename> files of different formats, it will most likely result in 
 errors (and format means same bitrates, too!).</para></sect3>
 
 <sect3><title>avisplit</title>
-<para><command>avisplit</command> splits <filename>avi</filename> files into multiple files.</para></sect3>
+<para><command>avisplit</command> splits <filename>AVI</filename> files into multiple files.</para></sect3>
 
 <sect3><title>avisync</title>
 <para><command>avisync</command> can shift audio in
-<filename>avi</filename> files for better 
+<filename>AVI</filename> files for better 
 synchronizing of audio and video data signal.</para></sect3>
 
@@ -74,6 +75,6 @@
 <para>Depending on the external libraries that are used, there are a great
 number of plugins to convert audio and video input to
-<filename>raw</filename> format, process <filename>raw</filename> video and 
-audio and convert <filename>raw</filename> audio and video to other formats to 
+<filename>RAW</filename> format, process <filename>RAW</filename> video and 
+audio and convert <filename>RAW</filename> audio and video to other formats to 
 be written into a filetype of choice. Read the documentation.</para></sect3>
 
Index: multimedia/videoutils/videoutils.xml
===================================================================
--- multimedia/videoutils/videoutils.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ multimedia/videoutils/videoutils.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -7,6 +7,6 @@
 video when you have spent so much time getting to that point. All the
 libraries, all the configurations and your reward is that you get to
-watch a movie. Not to worry though, there is always one more codec to
-install.</para>
+watch a movie. Not to worry though, there is always one more
+<acronym>CODEC</acronym> to install.</para>
 
 &xvid;
Index: pst/pst.ent
===================================================================
--- pst/pst.ent	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ pst/pst.ent	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -16,6 +16,8 @@
 <!ENTITY % sane SYSTEM "scanning/sane/sane.ent">
 <!ENTITY % xsane SYSTEM "scanning/xsane/xsane.ent">
+<!ENTITY % gocr SYSTEM "scanning/gocr/gocr.ent">
 %sane;
 %xsane;
+%gocr;
 
 <!-- SGML -->
Index: pst/scanning/gocr.xml
===================================================================
--- pst/scanning/gocr.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
+++ pst/scanning/gocr.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -0,0 +1,9 @@
+<sect1 id="gocr" xreflabel="GOCR-&gocr-version;">
+<?dbhtml filename="gocr.html" dir="pst"?>
+<title>GOCR-&gocr-version;</title>
+
+&gocr-intro;
+&gocr-inst;
+&gocr-desc;
+
+</sect1>
Index: pst/scanning/gocr/gocr-desc.xml
===================================================================
--- pst/scanning/gocr/gocr-desc.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
+++ pst/scanning/gocr/gocr-desc.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -0,0 +1,21 @@
+<sect2>
+<title>Contents</title>
+
+<para>The <application>GOCR</application> package contains <command>
+gocr</command> and <command>gtk-ocr</command>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>gocr</title>
+<para><command>gocr</command> is a program that prints all text it can
+read from any graphical input file to stdout.</para></sect3>
+
+<sect3><title>gtk-ocr</title>
+<para><command>gtk-ocr</command> is the <acronym>GTK</acronym> frontend for
+<command>gocr</command>.</para></sect3>
+
+</sect2>
+
+
Index: pst/scanning/gocr/gocr-exp.xml
===================================================================
--- pst/scanning/gocr/gocr-exp.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
+++ pst/scanning/gocr/gocr-exp.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -0,0 +1,7 @@
+<sect2>
+<title>Installation command explanations</title>
+
+<para><userinput>--prefix=/usr :</userinput> All software is going to
+be installed in directories relative to<filename>/usr</filename>.</para>
+
+</sect2>
Index: pst/scanning/gocr/gocr-inst.xml
===================================================================
--- pst/scanning/gocr/gocr-inst.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
+++ pst/scanning/gocr/gocr-inst.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -0,0 +1,21 @@
+<sect2>
+<title>Installation of <application>GOCR</application></title>
+
+<para>Install <application>GOCR</application> by running the following commands:</para>
+
+<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+<para>To install the <acronym>GTK</acronym>-frontend, use the following commands:</para>
+
+<screen><userinput><command>cd frontend/gnome &amp;&amp;
+./configure --prefix=/usr &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+<para>To install the help, run <command>make help</command>, to
+install the documentation execute <command>make doc</command> and
+<command>make examples</command> runs some tests on gocr.</para>
+
+</sect2>
Index: pst/scanning/gocr/gocr-intro.xml
===================================================================
--- pst/scanning/gocr/gocr-intro.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
+++ pst/scanning/gocr/gocr-intro.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -0,0 +1,31 @@
+<sect2>
+<title>Introduction to <application>GOCR</application></title>
+
+<para>The <application>GOCR</application> contains a small
+<acronym>OCR</acronym> (Object Character Recognition) program. It is
+useful for reading text from a graphical input file. It works without
+training, but you'll need a high quality scan to get a good results.</para>
+
+<para><application>GOCR</application> can used as a console utility, but 
+there is an <acronym>GTK</acronym>-frontend in the source package, also.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&gocr-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&gocr-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &gocr-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&gocr-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&gocr-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>GOCR</application> dependencies</title>
+<sect4><title>Optional</title>
+<para><xref linkend="pst-typesetting-tex"/> or fig2dev (for examples), <xref linkend="xfree86"/> and <xref linkend="GTK"/> (for frontend only)</para></sect4>
+</sect3>
+
+
+</sect2>
Index: pst/scanning/gocr/gocr.ent
===================================================================
--- pst/scanning/gocr/gocr.ent	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
+++ pst/scanning/gocr/gocr.ent	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -0,0 +1,11 @@
+<!ENTITY gocr SYSTEM "../gocr.xml">
+<!ENTITY gocr-intro SYSTEM "gocr-intro.xml">
+<!ENTITY gocr-inst SYSTEM "gocr-inst.xml">
+<!ENTITY gocr-desc SYSTEM "gocr-desc.xml">
+<!ENTITY gocr-exp SYSTEM "gocr-exp.xml">
+<!ENTITY gocr-buildsize "5.7 MB">
+<!ENTITY gocr-version "0.3.7">
+<!ENTITY gocr-download-http "http://jocr.sourceforge.net">
+<!ENTITY gocr-download-ftp "ftp://ftp.sourceforge.net/pub/sourceforge/jocr/gocr-0.3.7.tar.gz">
+<!ENTITY gocr-size "657 KB">
+<!ENTITY gocr-time "">
Index: pst/scanning/scanning.xml
===================================================================
--- pst/scanning/scanning.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ pst/scanning/scanning.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -9,4 +9,5 @@
 &sane;
 &xsane;
+&gocr;
 
 </chapter>
Index: pst/typesetting/openjade.xml
===================================================================
--- pst/typesetting/openjade.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ pst/typesetting/openjade.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -1,3 +1,3 @@
-<sect1 id="openjade" xreflabel="openjade-&openjade-version;">
+<sect1 id="openjade" xreflabel="OpenJade-&openjade-version;">
 <?dbhtml filename="openjade.html" dir="pst"?>
 <title>OpenJade-&openjade-version;</title>
Index: pst/typesetting/opensp.xml
===================================================================
--- pst/typesetting/opensp.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ pst/typesetting/opensp.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -1,3 +1,3 @@
-<sect1 id="opensp" xreflabel="opensp-&opensp-version;">
+<sect1 id="opensp" xreflabel="OpenSP-&opensp-version;">
 <?dbhtml filename="opensp.html" dir="pst"?>
 <title>OpenSP-&opensp-version;</title>
Index: x/lib/freetype2/freetype2-desc.xml
===================================================================
--- x/lib/freetype2/freetype2-desc.xml	(revision 24a37fa75443f8562de7b72332824af120d75a35)
+++ x/lib/freetype2/freetype2-desc.xml	(revision 8223b66bf07816d459d68bd0bc76a3864a91a34f)
@@ -8,6 +8,6 @@
 <sect2><title>Description</title>
 
-<sect3><title>freetype2 libraries</title>
-<para><application>freetype2</application> libraries add TrueType font 
+<sect3><title>FreeType2 libraries</title>
+<para><application>FreeType2</application> libraries add TrueType font 
 capabilities to <application>XFree86</application>.</para></sect3>
 