Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 5ec199faf44fca7fc28dd539da08fdf34bf14889)
+++ introduction/welcome/changelog.xml	(revision 8244d5c8d6a22b02a80161396220dc601343286b)
@@ -12,743 +12,10 @@
 <itemizedlist>
 
-<listitem><para>November 6th, 2003 [billyoc]: Changed location
-of Samba users' roaming profiles.</para></listitem>
+<listitem><para> </para></listitem>
 
-<listitem><para>November 4th, 2003 [tushar]: Updated to
-galeon-1.3.10.</para></listitem>
-
-<listitem><para>November 4th, 2003 [igor]: Updated outdated links
-where possible, removed the rest.</para></listitem>
-
-<listitem><para>November 2nd, 2003 [igor]: Added a patch for
-FreeType submitted by Alexander E.
-Patrakov.</para></listitem>
-
-<listitem><para>November 1st, 2003 [igor]: Added a note about
-DirectFB incompatiblity with the latest FreeType as
-suggested by Alexander E. Patrakov.</para></listitem>
-    
-<listitem><para>October 31st, 2003 [tushar]: NAS: Added dependency to
-XFree86 and modified instructions to install in /usr/X11R6 instead of
-/usr.</para></listitem>
-
-<listitem><para>October 31st, 2003 [tushar]: OpenOffice: Added Printer
-Administration description.</para></listitem>
-
-<listitem><para>October 31st, 2003 [tushar]: Portmap: Fixed location
-of portmap binary.</para></listitem>
-
-<listitem><para>October 31st, 2003 [igor]: Measured SBUs where
-missing (parts VI to XIII).</para></listitem>
-
-<listitem><para>October 30th, 2003 [bdubbs]: Another XFree86 tweak
-thanks to Bill Maltby.</para></listitem>
-
-<listitem><para>October 30th, 2003 [igor]: Integrated daemontools-man
-package with the main daemontools page.</para></listitem>
-    
-<listitem><para>October 29th, 2003 [bdubbs]: Updated XFree86 instructions
-for consistency and minor appearance tweaks.</para></listitem>
-
-<listitem><para>October 29th, 2003 [igor]: Applied the compressdoc
-patch submitted by Yann E. Morin.</para></listitem>
-
-<listitem><para>October 29th, 2003 [tushar]: Added warning that the
-kernel packet write patch may damage hardware.</para></listitem>
-
-<listitem><para>October 28th, 2003 [bdubbs]: Added a note about
-KDE patches as suggested by Alexander E. Patrakov.</para></listitem>
-    
-<listitem><para>October 28th, 2003 [igor]: Measured SBUs where
-missing (parts II to V).</para></listitem>
-
-<listitem><para>October 26th, 2003 [igor]: Added a command to
-install CA certs in OpenSSL instructions as suggested by
-Bill Maltby.</para></listitem>
-    
-<listitem><para>October 26th, 2003 [igor]: Updated to
-Pine-4.58.</para></listitem>
-
-<listitem><para>October 24th, 2003 [igor]: Apache: set proper
-permissions for installed files.</para></listitem>
-
-<listitem><para>October 23rd, 2003 [igor]: Updated libungif download
-links.</para></listitem>
-
-<listitem><para>October 22nd, 2003 [tushar]: Updated to Mozilla-1.5,
-Firebird-0.7, and Thunderbird-0.3. Added Enigmail extension for
-Mozilla.</para></listitem>
-
-<listitem><para>October 22nd, 2003 [igor]: Modified httpd.conf to
-run Apache as an unpriviledged user.</para></listitem>
-
-<listitem><para>October 21st, 2003 [larry]: OpenLDAP: expanded configure
-section to the point of personalization.</para></listitem>
-
-<listitem><para>October 21st, 2003 [igor]: Fixed MPlayer subtitle font
-configuration, added a note about config file.</para></listitem>
-
-<listitem><para>October 20th, 2003 [larry]: openldap: expanded
-configuration section with a referral.</para></listitem>
-
-<listitem><para>October 19th, 2003 [larry]: mplayer: adjusted -dvd 1 to
-dvd://1.</para></listitem>
-
-<listitem><para>October 19th, 2003 [igor]: Cleaned up GNOME section
-(final pass).</para></listitem>
-
-<listitem><para>October 18th, 2003 [tushar]: Add character set not to dillo,
-sent by Alexander E. Patrakov</para></listitem>
-
-<listitem><para>October 18th, 2003 [igor]: Cleaned up GNOME section
-(second pass).</para></listitem>
-
-<listitem><para>October 16th, 2003 [markh]: Added --sysconfdir=/etc to SANE
-install instructions.</para></listitem>
-
-<listitem><para>October 15th, 2003 [larry]: moved openldap's
-localstatedir to /var/lib.</para></listitem>
-
-<listitem><para>October 14th, 2003 [larry]: went back to fluxbox-0.1.14
-stable and added patch.</para></listitem>
-
-<listitem><para>October 14th, 2003 [larry]: updated cdparanoia intro,
-lame optional package and SBU's.</para></listitem>
-
-<listitem><para>October 14th, 2003 [igor]: Updated to
-MySQL-4.0.15a.</para></listitem>
-
-<listitem><para>October 13th, 2003 [tushar]:
-Updated to mozilla-1.4.1.</para></listitem>
-
-<listitem><para>October 13th, 2003 [larry]: Moved prefix for libIDL to
-/usr.</para></listitem>
-
-<listitem><para>October 13th, 2003 [larry]: edited for patch to Python
-to utilize GDBM properly.</para></listitem>
-
-<listitem><para>October 13th, 2003 [larry]: Double-checking SBU's and
-sizes during a rebuild.</para></listitem>
-
-<listitem><para>October 13th, 2003 [igor]: Cleaned up GNOME section
-(first pass).</para></listitem>
-
-<listitem><para>October 12th, 2003 [larry]: gimp and librsvg edits
-suggested by nathan. SBU changes, xfce install fixed.</para></listitem>
-
-<listitem><para>October 10th, 2003 [bdubbs]: Updated Qt install
-instructions.</para></listitem>
-
-<listitem><para>October 10th, 2003 [tushar]: Fixed mozilla, added
---disable-pedantic.</para></listitem>
-
-<listitem><para>October 10th, 2003 [bdubbs]: Updated koffice to
-version 1.2.93</para></listitem>
-
-<listitem><para>October 10th, 2003 [igor]: Removed dead config
-files, cleaned up entities in chapter 31.</para></listitem>
-    
-<listitem><para>October 9th, 2003 [tushar]: Updated tcp_wrappers and
-portmap with new patches. Changed locations to primary
-URI.</para></listitem>
-
-<listitem><para>October 9th, 2003 [tushar]: Updated kernel patch
-for udftools, added link for other patches.</para></listitem>
-
-<listitem><para>October 9, 2003 [larry]: surprise update to
-tiff-v3.6.0(.1).</para></listitem>
-
-<listitem><para>October 9, 2003 [larry]: applied new compressdoc patch,
-updated intros on GDBM and CVS and standardized the replaceable in
-docbook-dsssl.</para></listitem>
-
-<listitem><para>October 9th, 2003 [tushar]: Added errno patch for
-compface. Changed URL for sane.</para></listitem>
-
-<listitem><para>October 8th, 2003 [igor]: Added missing http/ftp
-links (part VIII).</para></listitem>
-	
-</itemizedlist>
-
-<para>5.0-PRE1 - October 8, 2003</para>
-
-<itemizedlist>
-
-<listitem><para>October 7th, 2003 [igor]: Added missing http/ftp
-links (parts VI and VII).</para></listitem>
-    
-<listitem><para>October 7th, 2003 [tushar]: Add patch and modify tripwire
-instructions for gcc3 compilation.</para></listitem>
-
-<listitem><para>October 7th, 2003 [larry]: courier patch submitted by Jim Gifford</para></listitem>
-	
-<listitem><para>October 7th, 2003 [igor]: Added missing http/ftp
-links (part V).</para></listitem>
-
-<listitem><para>October 6th, 2003 [larry]: undated to
-openssh-3.7.1p2.</para></listitem>
-
-<listitem><para>October 6th, 2003 [igor]: Added missing http/ftp
-links (part IV).</para></listitem>
-
-<listitem><para>October 5th, 2003 [tushar]: Added libungif patch.
-Matched vim instructions with LFS.</para></listitem>
-
-<listitem><para>October 5th, 2003 [tushar]: Added ash-0.4.0.</para></listitem>
-
-<listitem><para>October 5th, 2003 [tushar]: Added tiff and nas patches.</para></listitem>
-
-<listitem><para>October 5th, 2003 [bdubbs]: Updated kde-multimedia
-instructions. Removed kdoc and kde-other section.</para></listitem>
-
-<listitem><para>October 5th, 2003 [larry]: Updated to
-Docbook XSL Stylesheets-1.62.4.</para></listitem>
-
-<listitem><para>October 5th, 2003 [igor]: Updated to NASM-0.98.38
-and Python-2.3.2.</para></listitem>
-
-<listitem><para>October 5th, 2003 [igor]: Added missing http/ftp
-links (part III).</para></listitem>
-
-<listitem><para>October 4th, 2003 [larry]: General: updated to
-OpenSSL-0.9.7c and FAM-2.6.10.</para></listitem>
-
-<listitem><para>October 4th, 2003 [tushar]: Added a page on Optional Patches
-that refers to the Patches Project.</para></listitem>
-
-<listitem><para>October 4th, 2003 [igor]: Added missing http/ftp
-links (part XIII).</para></listitem>
-
-<listitem><para>October 4th, 2003 [tushar]: Patches reorganization, Section IV.</para></listitem>
-
-<listitem><para>October 3rd, 2003 [tushar]: Updated OpenOffice to 1.1.0.</para></listitem>
-
-<listitem><para>October 3rd, 2003 [tushar]: Add two unzip patches.</para></listitem>
-
-<listitem><para>October 3rd, 2003 [tushar]: Patches reorganization (Part II).</para></listitem>
-
-<listitem><para>October 3rd, 2003 [igor]: Added missing http/ftp
-links (part XII).</para></listitem>
-
-<listitem><para>October 3rd, 2003 [tushar]: Patches reogranization.</para></listitem>
-
-<listitem><para>October 2nd, 2003 [larry]: Many edits it Part X to put
-application's proper names in and class filename tags.</para></listitem>
-
-<listitem><para>October 2nd, 2003 [igor]: Modified Evolution
-instructions.</para></listitem>
-
-<listitem><para>October 2nd, 2003 [bdubbs]: Removed libpng
-from Qt requirement list.  Its required in XFree86.</para></listitem>
-    
-<listitem><para>October 2nd, 2003 [bdubbs]: Updated Qt to 
-version 3.2.1.</para></listitem>
-
-<listitem><para>October 2nd, 2003 [igor]: Added missing http/ftp links (part
-XI).</para></listitem>
-    
-<listitem><para>October 2nd, 2003 [bdubbs]: Updated XFree86 instructions
-to clarify DRI implementation and XF86Config modifications.</para></listitem>
-    
-<listitem><para>September 29th, 2003 [igor]: Added missing http/ftp
-links (part II).</para></listitem>
-    
-<listitem><para>September 29th, 2003 [larry]: added gocr to
-Scanning.</para></listitem>
-
-<listitem><para>September 28th, 2003 [tushar]: Added ntp to
-Networking Programs.</para></listitem>
-
-<listitem><para>Sepember 27th, 2003 [larry]: updated to
-xfce-4.0.0.</para></listitem>
-
-<listitem><para>September 27th, 2003 [tushar]: Updated Mozilla instructions
-for gcc-3.3.1. Added notes for building Firebird and Thunderbird.
-</para></listitem>
-
-<listitem><para>September 27th, 2003 [larry] updated to xfs patch for
-2.4.22 kernel.</para></listitem>
-
-<listitem><para>September 26th, 2003 [igor] Added
-MC-4.6.0 and updated to ProFTPD-1.2.8p.</para></listitem>
-
-<listitem><para>September 26th, 2003 [larry] applied patch for
-compressdocs submitted by Yann Morin.</para></listitem>
-
-<listitem><para>September 25th, 2003 [igor]: Updated to
-sendmail-8.12.10 and python-2.3.1.</para></listitem>
-
-<listitem><para>September 25th, 2003 [igor]: Added PHP-4.3.3
-submitted by Jeremy Utley.</para></listitem>
-    
-<listitem><para>September 24th, 2003 [larry]: Updated to
-xine-ui-0.9.22.</para></listitem>
-
-<listitem><para>September 24th, 2003 [larry]: Tagging Acronyms, building
-Glossary, tagging filename extensions (not using identifier as that is
-not compatible with 4.1.2). Checking Capitalization against web sites or
-GNU database or sourceforge.</para></listitem>
-
-<listitem><para>September 23rd, 2003 [igor]: Updated to
-OpenLDAP-2.1.22 and gsview-4.4.</para></listitem>
-    
-<listitem><para>September 22nd, 2003 [igor]: Updated to
-exim-4.24.</para></listitem>
-
-<listitem><para>September 22nd, 2003 [larry]: Added a
-Glossary.</para></listitem>
-
-<listitem><para>September 22nd, 2003 [igor]: Updated to
-leafnode-1.9.43.</para></listitem>
-   
-<listitem><para>September 21st, 2003 [tushar]: Moved STLport to Appendix C.</para></listitem>
-
-<listitem><para>September 21st, 2003 [tushar]: Updated to OpenOffice 1.1rc4.</para></listitem>
-
-<listitem><para>September 21st, 2003 [igor]: Added libdvdread-0.9.4,
-libdvdcss-1.2.8, libdv-0.99 and liba52-0.7.4.</para></listitem>
-    
-<listitem><para>September 21st, 2003 [larry]: Updated to
-lcms-1.11.</para></listitem>
-
-<listitem><para>September 21st, 2003 [igor]: update to
-transcode-0.6.10.</para></listitem>
-
-<listitem><para>September 21st, 2003 [tushar]: Added tcl-8.4.4 and tk-8.4.4.</para></listitem>
-
-<listitem><para>September 20th, 2003 [tushar]: Added nail-10.5.</para></listitem>
-
-<listitem><para>September 20th, 2003 [tushar]: Synchronized gcc-2.95.3
-with LFS instructions.</para></listitem>
-
-<listitem><para>September 20th, 2003 [larry]: updated bootdisk for
-non-devfs usage and two-disk option.</para></listitem>
-
-<listitem><para>September 20th, 2003 [tushar]: Updated to
-j2sdk-1.4.2_01 (precompiled).</para></listitem>
-
-<listitem><para>September 20th, 2003 [tushar]: Added
-ispell-3.2.06.epa6 to General Libraries.</para></listitem>
-
-<listitem><para>September 20th, 2003 [igor]: added FLAC-1.1.0 and
-id3lib-3.8.3.</para></listitem>
-
-<listitem><para>September 20th, 2003 [larry]: updated to sane-1.0.12 and
-xsane-0.91.</para></listitem>
-
-<listitem><para>September 20th, 2003 [bdubbs] : Updated XFree86 instructions
-to use kernel compiler for kernel modules.</para></listitem>
-
-<listitem><para>September 19th, 2003 [igor] : updated ALSA packages
-intro, modified Apache instructions.</para></listitem>
-
-<listitem><para>September 19th, 2003 [larry]: updated to
-LPRng-3.8.22.</para></listitem>
-
-<listitem><para>September 19th, 2003 [larry]: updated to fluxbox-0.9.5,
-as stable will not compile with gcc-3.3.1.</para></listitem>
-
-<listitem><para>September 19th, 2003 [igor]: added
-Speex-1.0.1, update to postfix-2.0.16 and whois-4.6.7.</para></listitem>
-    
-<listitem><para>September 18th, 2003 [larry]: update to
-soup-0.7.11.</para></listitem>
-
-<listitem><para>September 18th, 2003 [igor]: updated instructions
-for fcron-2.9.3.</para></listitem>
-    
-<listitem><para>September 18th, 2003 [larry]: updated to
-gal-0.24.</para></listitem>
-
-<listitem><para>September 18th, 2003 [igor]: added libFAME-0.9.0, update
-to xine-lib-1-rc0a.</para></listitem>
-
-<listitem><para>September 18th, 2003 [larry]: updated to
-openssh-3.7.1p1.</para></listitem>
-
-<listitem><para>September 18th, 2003 [larry]: added compress doc page to
-postlfs.</para></listitem>
-
-<listitem><para>September 17th, 2003 [igor]: update to
-xinetd-2.3.12.</para></listitem>
-
-<listitem><para>September 17th, 2003 [larry]: updated to
-ncftp-3.1.6.</para></listitem>
-
-<listitem><para>September 16th, 2003 [larry]: added
-libgsf-1.8.2.</para></listitem>
-
-<listitem><para>September 16th, 2003 [igor]: update to KDE-3.1.4
-(incomplete - left for Bruce to review and finish).</para></listitem>
-
-<listitem><para>September 16th, 2003 [larry]: update to OpenSSH--3.7p1,
-gtkhtml-3.0.8, libsoup-1.99.23, evolution-1.4.4, gnumeric-1.2.0,
-abiword-2.0.0, PDL-2.4.0, Astro-FITS-Header-2.7.1 and gimp-1.2.5.</para>
-</listitem>
-
-<listitem><para>September 15th, 2003 [larry]: update to
-postfix-2.0.15 and added gal-1.99.9.</para></listitem>
-
-<listitem><para>September 15th, 2003 [igor]: update to ffmpeg-0.4.7
-and xvid-0.9.2.</para></listitem>
-    
-<listitem><para>September 14th, 2003 [larry]: added patch to SVGAlib for
-gcc-3.3.1 compile error. Bug 346.</para></listitem>
-
-<listitem><para>September 14th, 2003 [igor]: update to
-cups-1.1.19.</para></listitem>
-    
-<listitem><para>September 14th, 2003 [igor]: changed installation
-instructions for ESP Ghostscript.</para></listitem>
-    
-<listitem><para>September 14th, 2003 [larry]: general: updated to
-guile-1.6.4, slib-2d6 and aalib-1.4rc5.</para></listitem>
-
-<listitem><para>September 13th, 2003 [larry]: general: updated to
-rep-gtk-0.18.</para></listitem>
-
-<listitem><para>September 13th, 2003 [larry]: general: updated to
-libxml2-2.5.11 and libxslt-1.0.33.</para></listitem>
-
-<listitem><para>September 13th, 2003 [igor]: update to 
-PostgreSQL-7.3.4.</para></listitem>
-
-<listitem><para>September 12th, 2003 [igor]: update to MySQL-4.0.15 and
-freetype-2.1.5.</para></listitem>
-
-<listitem><para>September 12th, 2003 [larry]: update to
-xfsprogs-2.5.6 and reiserfsprogs-3.6.11.</para></listitem>
-
-<listitem><para>September 12th, 2003 [igor]: update to
-Apache-2.0.47.</para></listitem>
-
-<listitem><para>September 11th, 2003 [larry]: Arranged Part
-I-Introduction to follow LFS order and, of course,
-tagged.</para></listitem>
-
-<listitem><para>September 11th, 2003 [larry]: added imlib2 and
-openquicktime submitted by Igor.</para></listitem>
-
-<listitem><para>September 11th, 2003 [larry]: edited firewalling to
-conform to the rest of book.  Used 'screen' for kernel settings instead
-of 'table'. Changed from 'orderlist' to 'itemizedlist'. Converted
-footnotes to inline notation, except kernel which was inconsistent with
-the rest of the book.</para></listitem>
-
-<listitem><para>September 9th, 2003 [larry]: update to esp
-ghostcript-7.07.1rc2, AFPL Ghostscript-8.11 and w3m-0.4.1 submitted by
-Igor.</para></listitem>
-
-<listitem><para>September 8th, 2003 [tushar]: added bind-utils section for
-users that only need the client apps from bind.</para></listitem>
-
-<listitem><para>September 7th, 2003 [larry]: updated intro to
-tex.</para></listitem>
-
-<listitem><para>September 7th, 2003 [larry]: update to MySQL-4.0.14, nano-1.2.2,
-GTK2+-2.2.5 and pciutils-2.1.11, all submitted by
-Igor.</para></listitem>
-
-<listitem><para>September 6th, 2003 [larry]: gnome: updated to
-nautilus-media-0.2.2, gconf-editor-0.4.1 and gdm-2.4.1.4.</para></listitem>
-
-<listitem><para>September 5th, 2003 [larry]: gnome: updated to
-gnome-system-moniter-2.0.5, gnome-applets-2.2.2, gnome-utils-2.2.3,
-gnome-games-2.2.1, nautilus-2.2.4, yelp-2.2.3, bug-buddy-2.2.106,
-gedit-2.2.2, eog-2.2.2, gstreamer-0.6.2, gst-plugins-0.6.2 and
-gnome-media-2.2.2.</para></listitem>
-
-<listitem><para>September 4th, 2003 [larry]: gnome: updated to
-control-center-2.2.2 and gnome-terminal-2.2.2.</para></listitem>
-
-<listitem><para>September 4th, 2003 [larry]: multimedia: updated
-avifile and  mplayer submitted by Igor.</para></listitem>
-
-<listitem><para>September 4th, 2003 [larry]: basicnet: applied DJ's
-correction patch to ncpfs.</para></listitem>
-
-<listitem><para>September 4th, 2003 [larry]: x: updated to
-metacity-2.4.55 and gnome-session-2.2.2.</para></listitem>
-
-<listitem><para>September 4th, 2003 [larry]: xsoft: updated to
-pan-0.14.2 and gnet-2.0.4.</para></listitem>
-
-<listitem><para>September 3rd, 2003 [larry]: xsoft: updated to
-AbiWord-1.99.6, gnumeric-1.1.20, gnome-desktop-2.2.2 and
-gnome-panel-2.2.2.2.</para></listitem>
-
-<listitem><para>September 3rd, 2003 [larry]: postlfs: added
-gnupg-1.2.3.</para></listitem>
-
-<listitem><para>September 3rd, 2003 [larry]: update to
-libgnomeprint-2.2.1.3, libgnomeprintui-2.2.1.4 and balsa-2.0.14.</para></listitem>
-
-<listitem><para>September 2nd, 2003 [larry]: updated to libesmtp-1.0,
-eel-2.2.4 and libgtkhtml-2.2.4.</para></listitem>
-
-<listitem><para>September 2nd, 2003 [larry]: Edit submission by DJ,
-added NASM, directFB, libMPEG3 and updated SDL by Igor.</para></listitem> 
-
-<listitem><para>September 1st, 2003 [larry]: updated intro to
-gtk-engines, gtk-thinice-engine and libgail-gnome.  Removed png-support-3.1.dtd from
-gtk-doc and sgml-dtd-3.</para></listitem>
-
-<listitem><para>September 1st, 2003 [larry]: gnome: updated to
-libbonoboui-2.2.2, gnome-icon-theme-1.0.6, libgnomeui-2.2.2,
-gnome-themes-2.2.2 scrollkeeper-0.3.12, libwnck-2.2.2, vte-0.10.29,
-libgtop-2.0.2, gail-1.2.2, at-spi-1.1.9, librsvg-2.2.5 and galeon-1.3.7.</para></listitem>
-
-<listitem><para>August 31st, 2003 [larry]: gnome: updated to
-GConf-2.2.1, gnome-mime-data-2.2.1, gnome-vfs-2.2.5, libgnome-2.2.3 and
-libgnomecanvas-2.2.1.</para></listitem>
-
-<listitem><para>August 31st, 2003 [larry]: updated into of wvdial and
-wvstreams submitted by Igor.</para></listitem>
-
-<listitem><para>August 31st, 2003 [larry]: server: added rsync-2.5.6
-submitted by Daniel Baumann.</para></listitem>
-
-<listitem><para>August 31st, 2003 [larry]: multimedia: update to
-cdrtools-2.00.3 submitted by Igor.</para></listitem>
-
-<listitem><para>August 30th, 2003 [larry]: postlfs: update intro section
-of tcsh, zsh, joe, nano and emacs.</para></listitem>
-
-<listitem><para>August 30th, 2003 [larry]: general: update to gcc-3.3.1
-and gnat-3.15p.</para></listitem>
-
-<listitem><para>August 29th, 2003 [larry]: pst: updated intro to sgml-dtd
-V3.1 and V4.2.</para></listitem>
-
-<listitem><para>August 29th, 2003 [larry]: Xsoft: updated to
-dillo-0.7.3.</para></listitem>
-
-<listitem><para>August 29th, 2003 [larry]: Basicnet: updated to curl
-7.10.7 submitted by Igor Zivkovic.</para></listitem>
-
-<listitem><para>August 29th, 2003 [larry]: Gnome: updated intro for orbit2
-and updated to bonobo-activation-2.2.3.</para></listitem>
-
-<listitem><para>August 28th, 2003 [larry]: updated to GLib-2.2.3,
-Pango-1.2.5, ATK-1.2.4 and GTK+-2.2.3.</para></listitem>
-
-<listitem><para>August 28th, 2003 [larry]: updated to intro of gtk-doc and
-openjade. Typos.</para></listitem>
-
-<listitem><para>August 28th, 2003  [larry]: updated to
-ruby-1.8.0</para></listitem>
-
-<listitem><para>August 26th, 2003 [larry]: added patch to
-OpenSP.</para></listitem>
-
-<listitem><para>August 26th, 2003 [larry]: added SVGAlib and updated
-Links to add graphical option</para></listitem>
-
-<listitem><para>August 26th, 2003 [larry]: updated intro for PAM, added
-link to cracklib, modified cvs download.</para></listitem>
-
-<listitem><para>August 26th, 2003 [tushar]: Added dependencies for
-fontconfig.</para></listitem>
-
-<listitem><para>August 25th, 2003 [larry]: Applied update patches
-submitted by Igor Zivkovic for cvs-1.11.6 and hdparm-5.4.</para></listitem>
-
-<listitem><para>August 24th, 2003 [larry]: updated intro for vim,
-docbook and docbook-dsssl. Removed placeholder for
-alsa-oss.</para></listitem>
-
-<listitem><para>August 24th, 2003 [larry]:; SBU updates for
-glib-1, gtk-1, </para></listitem>
-
-<listitem><para>August 24th, 2003 [larry]: Tag edits on Bill's
-submission.</para></listitem>
-
-<listitem><para>August 22nd, 2003 [tushar]: Updated libfam to fix libtool-1.5 related bug.</para></listitem>
-	
-<listitem><para>August 21st, 2003 [larry]: Changed SBU's for aspell, pan, zip, libidl, which, mozilla, and vim.</para></listitem>
-	
-<listitem><para>August 19th, 2003 [larry]: Basicnet: updated to gnet-1.1.9. Changed SBU's for pkgconfig, GLib-2, Pango, ATK, GTK-2, intltool, gnet.</para></listitem>
-	
-<listitem><para>August 18th, 2003 [larry]: PST: removed -enable xml message from Opensp install instructions.  Changed SBU's for OpenSP, openjade, sgml-common, libxml2, libxslt, libmng, qt, lesstif and fluxbox  to reflect new scale.</para></listitem>
-	
-<listitem><para>August 17th, 2003 [bdubbs]: XFree86: change
-bunzip2 to gunzip.</para></listitem>
-
-<listitem><para>August 16th, 2003 [bdubbs]: Updated fontconfig
-configuration instructions.</para></listitem>
-
-<listitem><para>August 16th, 2003 [tushar]: Synchronized shadow instructions
-to match those in LFS-CVS.</para></listitem>
-
-<listitem><para>August 15th, 2003 [bdubbs]: Updated XFree86 instructions
-and added patch file.</para></listitem>
-
-<listitem><para>August 15th, 2003 [bdubbs]: Updated fontconfig config
-instructions and moved to X library chapter.</para></listitem>
-
-<listitem><para>August 13th, 2003 [tushar]: Fixed nas typo.</para></listitem>
-
-<listitem><para>August 8th, 2003 [tushar]: Added fontconfig and made it a
-dependency for X.</para></listitem>
-
-<listitem><para>August 4th, 2003 [larry]: modified intro to
-GLib.</para></listitem>
-
-<listitem><para>August 4th, 2003 [larry]: multimedia: update to
-esound-0.2.30.</para></listitem>
-
-<listitem><para>August 3rd, 2003 [larry]: basicnet: updated to
-nmap-3.30.</para></listitem>
-
-<listitem><para>August 3rd, 2003 [larry]: modified intro to
-qt, gtk+, startup-notification, slrn, popt and slang.</para></listitem>
-
-<listitem><para>August 3rd, 2003 [larry]: basicnet: updated to
-pine-4.56.</para></listitem>
-
-<listitem><para>August 3rd, 2003 [larry]: basicnet: updated to
-fetchmail-6.2.3.</para></listitem>
-
-<listitem><para>August 2nd, 2003 [larry]: pst: updated to
-docbook-xsl-1.61.3.</para></listitem>
-
-<listitem><para>August 2nd, 2003 [larry]: X: updated to
-lesstif-0.93.46.</para></listitem>
-
-<listitem><para>July 31st, 2003 [larry]: general: added patches to
-gpm-1.20.1.</para></listitem>
-
-<listitem><para>July 30th, 2003 [larry]: content: added
-proftpd-1.2.8.</para></listitem>
-
-<listitem><para>July 30th, 2003 [larry]: general: updated to
-Python-2.3.</para></listitem>
-
-<listitem><para>July 24th, 2003 [tushar]: updated to
-mozilla-1.4</para></listitem>
-
-<listitem><para>July 17th, 2003 [larry]: gnome: update to
-linc-1.0.3, libIDL-0.8.2, intltool-0.26 and bonobo-activation-2.2.2.</para></listitem>
-
-<listitem><para>July  7th, 2003 [larry]: server: updated to
-postfix-2.0.13.</para></listitem>
-
-<listitem><para>July  7th, 2003 [larry]: general: updated to
-libxml2-2.5.8 and libxslt-1.0.31.</para></listitem>
-
-<listitem><para>July  2nd, 2003 [larry]: server: removed the creation of
-mount.smbs as current version creates this file in the /sbin
-directory. Reported by Eagle.</para></listitem>
-
-<listitem><para>July  1st, 2003 [larry]: general: updated to
-Python-2.2.3.</para></listitem>
-
-<listitem><para>July 01st, 2003 [larry]: general: updated to
-pcre-4.3.</para></listitem>
-
-<listitem><para>July 01st, 2003 [larry]: server: update to
-openssh-3.6.1p2.</para></listitem>
-
-<listitem><para>June 29th, 2003 [larry]: multimedia: Added udftools to
-cdwriting section contributed by Richard Downing.</para></listitem>
-
-<listitem><para>June 27th, 2003 [larry]: server: updated to
-postfix-2.0.12.</para></listitem>
-
-<listitem><para>June 27th 2003 [larry]: basicnet: updated to
-whois-4.6.6.</para></listitem>
-
-<listitem><para>June 27th, 2003 [larry]: basicnet: removed inetutils-
-now in LFS.</para></listitem>
-
-<listitem><para>June 17th, 2003 [larry]: general: updated intro for
-expat.</para></listitem>
-
-<listitem><para>June 17th, 2003 [larry]: server: Added a configure
-switch to BIND. rndc was looking for its config file in
-/usr/etc.</para></listitem>
-
-<listitem><para>June 17th, 2003 [larry]: general; disclosed patent
-issues with openssl.</para></listitem>
-
-<listitem><para>June 13th, 2003 [larry]: general: updated intro on
-libjpeg and libtiff.</para></listitem>
-
-<listitem><para>June 12th, 2003 [larry]: general: Updated intro on
-pkgconfig and atk.</para></listitem>
-
-<listitem><para>June 12th, 2003 [larry]: x: updated to
-Pango-1.2.3 and GTK+-2.2.2.</para></listitem>
-
-<listitem><para>June 12th, 2003 [larry]: general: updated to
-glib-2.2.2.</para></listitem>
-
-<listitem><para>June 10th, 2003 [larry]: pst: modified xpdfrc as pointed
-out by Andre Kalus.</para></listitem>
-
-<listitem><para>June 3rd, 2003 [tushar]: alsa: updated to
-0.9.4 (submitted by James Iwanek).</para></listitem>
-
-<listitem><para>May 14th, 2003 [larry]: x: updated to
-freetype-2.1.4.</para></listitem>
-
-<listitem><para>May 14th, 2003 [larry]: intro and markup change to
-docbook-xsl, freetype2, libpng. </para></listitem>
-
-<listitem><para>May 13th, 2003 [larry]: intro and markup
-change to db, procmail, fetchmail, mutt, GLib-2.0, libxslt.</para></listitem>
-
-<listitem><para>May 12th, 2003 [larry]: xsoft: updated to
-pan-0.14.0.</para></listitem>
-
-<listitem><para>May 12th, 2003 [larry]: intro and markup change to
-sgml-common and opensp.</para></listitem>
-
-<listitem><para>May 5th, 2003 [larry]: postlfs: updated to
-iptables-1.2.8.</para></listitem>
-
-<listitem><para>May 5th, 2003 [larry]: multimedia: updated to
-transcode-0.6.3.</para></listitem>
-
-<listitem><para>May 4th, 2003 [larry]: multimedia: updated to
-xine-ui-0.9.20.</para></listitem>
-
-<listitem><para>May 3rd, 2003 [larry]: basicnet: updated to
-pine-4.55.</para></listitem>
-
-<listitem><para>May 1st, 2003 [larry]: multimedia: update to
-xine-lib-1-beta11.</para></listitem>
-
-<listitem><para>May 1st, 2003 [larry]: server: updated to
-postfix-2.0.9.</para></listitem>
-
-<listitem><para>May 1st, 2003 [larry]: general: after reviewing lcms, it
-appeared to be a good candidate for the newer LFS installation format.
-See what you think.</para></listitem>
-
-<listitem><para>April 30th, 2003 [larry]: general: updated to
-lcms-1.10.</para></listitem>
-
-<listitem><para>April 30th, 2003 [larry]: xsoft: updated to
-dillo-0.7.2.</para></listitem>
-
-<listitem><para>April 29th, 2003 [larry]: general: updated to
-libxml2-2.5.7.</para></listitem>
-
-<listitem><para>April 28th, 2003 [larry]: applied dillo
-patch.</para></listitem>
-
-<listitem><para>April 28th, 2003 [larry]: template: modified template
-for new intro format.</para></listitem>
-
-<listitem><para>April 28th, 2003 [larry]: general: updated to
-openssl-0.9.7b and pcre-4.2.</para></listitem>
-
-<listitem><para>April 27th, 2003 [larry]: introduction: fixed url for
-ESR article. general: fixed aalib package size.</para></listitem>
 
 </itemizedlist>
 
-<para>1.0 - April 25th, 2003</para>
+<para>5.0 - November 6th, 2003</para>
 
 </sect1>