Index: general.ent
===================================================================
--- general.ent	(revision e01b5619a1ea0768c99c366bb36513274d58b59f)
+++ general.ent	(revision 8249b92ef11e6d9866ccdc864fbca77c7e3b1973)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "04">                   <!-- Always 2 digits -->
+<!ENTITY day          "06">                   <!-- Always 2 digits -->
 <!ENTITY month        "09">                   <!-- Always 2 digits -->
 <!ENTITY year         "2019">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "September 4th, &year;">
+<!ENTITY releasedate  "September 6th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/graphlib/libmypaint.xml
===================================================================
--- general/graphlib/libmypaint.xml	(revision e01b5619a1ea0768c99c366bb36513274d58b59f)
+++ general/graphlib/libmypaint.xml	(revision 8249b92ef11e6d9866ccdc864fbca77c7e3b1973)
@@ -7,8 +7,8 @@
   <!ENTITY libmypaint-download-http "https://github.com/mypaint/libmypaint/releases/download/v1.3.0/libmypaint-&libmypaint-version;.tar.xz">
   <!ENTITY libmypaint-download-ftp  " ">
-  <!ENTITY libmypaint-md5sum        "2e7200c7873514dfca26eea9e3d273f5">
-  <!ENTITY libmypaint-size          "428 KB">
-  <!ENTITY libmypaint-buildsize     "6.4 MB (add 0.5 MB for tests)">
-  <!ENTITY libmypaint-time          "less than 0.1 SBU (add 0.4 SBU for tests)">
+  <!ENTITY libmypaint-md5sum        "a7953ec1195e580a856302e30861af28">
+  <!ENTITY libmypaint-size          "432 KB">
+  <!ENTITY libmypaint-buildsize     "5.7 MB (add 0.6 MB for tests)">
+  <!ENTITY libmypaint-time          "less than 0.1 SBU (add 0.5 SBU for tests)">
 ]>
 
Index: general/graphlib/librsvg.xml
===================================================================
--- general/graphlib/librsvg.xml	(revision e01b5619a1ea0768c99c366bb36513274d58b59f)
+++ general/graphlib/librsvg.xml	(revision 8249b92ef11e6d9866ccdc864fbca77c7e3b1973)
@@ -7,8 +7,8 @@
   <!ENTITY librsvg-download-http "&gnome-download-http;/librsvg/2.44/librsvg-&librsvg-version;.tar.xz">
   <!ENTITY librsvg-download-ftp  "&gnome-download-ftp;/librsvg/2.44/librsvg-&librsvg-version;.tar.xz">
-  <!ENTITY librsvg-md5sum        "7570d139148f3554fa60fb2a0ecfc4f8">
+  <!ENTITY librsvg-md5sum        "20cd7d383a60349e2fcb15564ed46e8d">
   <!ENTITY librsvg-size          "12 MB">
-  <!ENTITY librsvg-buildsize     "790 MB (add 340 MB for tests)">
-  <!ENTITY librsvg-time          "0.9 SBU (add 0.8 SBU for tests)">
+  <!ENTITY librsvg-buildsize     "783 MB (add 343 MB for tests)">
+  <!ENTITY librsvg-time          "0.9 SBU (add 0.9 SBU for tests)">
 ]>
 
Index: general/graphlib/qpdf.xml
===================================================================
--- general/graphlib/qpdf.xml	(revision e01b5619a1ea0768c99c366bb36513274d58b59f)
+++ general/graphlib/qpdf.xml	(revision 8249b92ef11e6d9866ccdc864fbca77c7e3b1973)
@@ -7,8 +7,8 @@
   <!ENTITY qpdf-download-http "https://github.com/qpdf/qpdf/releases/download/release-qpdf-&qpdf-version;/qpdf-&qpdf-version;.tar.gz">
   <!ENTITY qpdf-download-ftp  " ">
-  <!ENTITY qpdf-md5sum        "41160fbd4450d4988f0705d394069ad4">
-  <!ENTITY qpdf-size          "16 MB">
-  <!ENTITY qpdf-buildsize     "197 MB (add 4 MB for tests)">
-  <!ENTITY qpdf-time          "0.4 SBU (using parallelism=4; add 0.9 SBU for tests)">
+  <!ENTITY qpdf-md5sum        "d7e165edd07df8bc4c1c4e6b8538b455">
+  <!ENTITY qpdf-size          "17 MB">
+  <!ENTITY qpdf-buildsize     "223 MB (add 38 MB for tests)">
+  <!ENTITY qpdf-time          "0.4 SBU (using parallelism=4; add 1.4 SBU for tests)">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision e01b5619a1ea0768c99c366bb36513274d58b59f)
+++ introduction/welcome/changelog.xml	(revision 8249b92ef11e6d9866ccdc864fbca77c7e3b1973)
@@ -44,4 +44,26 @@
 
     <listitem>
+      <para>September 6th, 2019</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to librsvg-2.44.15. Fixes
+          <ulink url="&blfs-ticket-root;12472">#12472</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libmypaint-1.4.0. Fixes
+          <ulink url="&blfs-ticket-root;12468">#12468</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libogg-1.3.4. Fixes
+          <ulink url="&blfs-ticket-root;12467">#12467</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to qpdf-9.0.0. Fixes
+          <ulink url="&blfs-ticket-root;12466">#12466</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>September 4th, 2019</para>
       <itemizedlist>
Index: multimedia/libdriv/libogg.xml
===================================================================
--- multimedia/libdriv/libogg.xml	(revision e01b5619a1ea0768c99c366bb36513274d58b59f)
+++ multimedia/libdriv/libogg.xml	(revision 8249b92ef11e6d9866ccdc864fbca77c7e3b1973)
@@ -7,7 +7,7 @@
   <!ENTITY libogg-download-http "https://downloads.xiph.org/releases/ogg/libogg-&libogg-version;.tar.xz">
   <!ENTITY libogg-download-ftp  " ">
-  <!ENTITY libogg-md5sum        "87ed742047f065046eb6c36745d871b8">
-  <!ENTITY libogg-size          "408 KB">
-  <!ENTITY libogg-buildsize     "3.4 MB (with tests)">
+  <!ENTITY libogg-md5sum        "eadef24aad6e3e8379ba0d14971fd64a">
+  <!ENTITY libogg-size          "420 KB">
+  <!ENTITY libogg-buildsize     "3.6 MB (with tests)">
   <!ENTITY libogg-time          "less than 0.1 SBU (with tests)">
 ]>
Index: packages.ent
===================================================================
--- packages.ent	(revision e01b5619a1ea0768c99c366bb36513274d58b59f)
+++ packages.ent	(revision 8249b92ef11e6d9866ccdc864fbca77c7e3b1973)
@@ -208,7 +208,7 @@
 <!ENTITY libjpeg-turbo-version        "2.0.2">
 <!ENTITY libmng-version               "2.0.3">
-<!ENTITY libmypaint-version           "1.3.0"> <!-- version 1 only -->
+<!ENTITY libmypaint-version           "1.4.0"> <!-- version 1 only -->
 <!ENTITY libpng-version               "1.6.37">
-<!ENTITY librsvg-version              "2.44.14">   <!-- Normally even minors -->
+<!ENTITY librsvg-version              "2.44.15">   <!-- Normally even minors -->
 <!ENTITY libraw-version               "0.19.5">
 <!ENTITY libtiff-version              "4.0.10">
@@ -223,5 +223,5 @@
 <!ENTITY poppler-version              "0.80.0">
 <!ENTITY potrace-version              "1.15">
-<!ENTITY qpdf-version                 "8.4.2">
+<!ENTITY qpdf-version                 "9.0.0">
 <!ENTITY libsass-version              "3.6.1">
 <!ENTITY sassc-version                "3.6.1">
@@ -937,5 +937,5 @@
 <!ENTITY libmusicbrainz3-version      "3.0.3">
 <!ENTITY libmusicbrainz5-version      "5.1.0">
-<!ENTITY libogg-version               "1.3.3">
+<!ENTITY libogg-version               "1.3.4">
 <!ENTITY libquicktime-version         "1.2.4">
 <!ENTITY libsamplerate-version        "0.1.9">