Index: general.ent
===================================================================
--- general.ent	(revision faf8e0b232f1ce917a59ae750840b726b4336641)
+++ general.ent	(revision 8252e7574da3fb6fe536cb98087e5377cd469d2f)
@@ -1,11 +1,11 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "29">                   <!-- Always 2 digits -->
-<!ENTITY month        "09">                   <!-- Always 2 digits -->
+<!ENTITY day          "02">                   <!-- Always 2 digits -->
+<!ENTITY month        "10">                   <!-- Always 2 digits -->
 <!ENTITY year         "2020">
 <!ENTITY copyrightdate "2001-&year;">
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "September 29th, &year;">
+<!ENTITY releasedate  "October 2nd, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/libsigc++.xml
===================================================================
--- general/genlib/libsigc++.xml	(revision faf8e0b232f1ce917a59ae750840b726b4336641)
+++ general/genlib/libsigc++.xml	(revision 8252e7574da3fb6fe536cb98087e5377cd469d2f)
@@ -7,8 +7,8 @@
   <!ENTITY libsigc-download-http "&gnome-download-http;/libsigc++/2.10/libsigc++-&libsigc-version;.tar.xz">
   <!ENTITY libsigc-download-ftp  "&gnome-download-ftp;/libsigc++/2.10/libsigc++-&libsigc-version;.tar.xz">
-  <!ENTITY libsigc-md5sum        "ea68c7afc23a4b89a2dfa78344460785">
-  <!ENTITY libsigc-size          "4.3 MB">
-  <!ENTITY libsigc-buildsize     "50 MB (with tests)">
-  <!ENTITY libsigc-time          "0.3 SBU (with tests)">
+  <!ENTITY libsigc-md5sum        "24fd397776fec4a1a30dd465fa243ff4">
+  <!ENTITY libsigc-size          "4.6 MB">
+  <!ENTITY libsigc-buildsize     "39 MB (with tests)">
+  <!ENTITY libsigc-time          "0.2 SBU (with tests)">
 ]>
 
@@ -73,8 +73,12 @@
     <bridgehead renderas="sect3">libsigc++ Dependencies</bridgehead>
 
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="libxslt"/>
+    </para>
+
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="doxygen"/> and
-      <xref linkend="libxslt"/> (for documentation)
+      <xref linkend="doxygen"/>
     </para>
 
@@ -87,4 +91,5 @@
     <title>Installation of libsigc++</title>
 
+<!--
     <para>
       First, fix the documentation directory name:
@@ -92,4 +97,5 @@
 
 <screen><userinput>sed -e '/^libdocdir =/ s/$(book_name)/libsigc++-&libsigc-version;/' -i docs/Makefile.in</userinput></screen>
+-->
 
     <para>
@@ -98,9 +104,12 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr &amp;&amp;
-make</userinput></screen>
+<screen><userinput>mkdir bld &amp;&amp;
+cd    bld &amp;&amp;
+
+meson --prefix=/usr .. &amp;&amp;
+ninja</userinput></screen>
 
     <para>
-      To test the results, issue: <command>make check</command>.
+      To test the results, issue: <command>ninja test</command>.
     </para>
 
@@ -109,18 +118,18 @@
     </para>
 
-<screen role="root"><userinput>make install</userinput></screen>
+<screen role="root"><userinput>ninja install</userinput></screen>
 
   </sect2>
-<!--
+
   <sect2 role="commands">
     <title>Command Explanations</title>
 
     <para>
-      <command>sed -i '/type_traits.h/i\#include &lt;sigc++/visit_each.h&gt;'
-      sigc++/macros/limit_reference.h.m4</command>: This sed fixes a bug
-      which prevents <application>inkscape</application> compiling.
+      <option>-Dbuild_documentation=true</option>: Use this switch if
+      <xref role="nodep" linkend="doxygen"/> is installed and you wish to
+      build and install the API documentation.
     </para>
 
-  </sect2>-->
+  </sect2>
 
   <sect2 role="content">
@@ -141,5 +150,5 @@
         <seg>
           /usr/{include,lib}/sigc++-2.0 and
-          /usr/share/{devhelp/books,doc}/libsigc++-2.0
+          /usr/share/{devhelp/books,doc}/libsigc++-2.0 (if the documentation is enabled)
         </seg>
       </seglistitem>
Index: general/prog/vala.xml
===================================================================
--- general/prog/vala.xml	(revision faf8e0b232f1ce917a59ae750840b726b4336641)
+++ general/prog/vala.xml	(revision 8252e7574da3fb6fe536cb98087e5377cd469d2f)
@@ -7,8 +7,8 @@
   <!ENTITY vala-download-http "&gnome-download-http;/vala/&vala-major-version;/vala-&vala-version;.tar.xz">
   <!ENTITY vala-download-ftp  "&gnome-download-ftp;/vala/&vala-major-version;/vala-&vala-version;.tar.xz">
-  <!ENTITY vala-md5sum        "b04dee0b1c29b0e2c7ef3322cff4a46f">
+  <!ENTITY vala-md5sum        "42b3120758a8f5c1909627bfa7b017b4">
   <!ENTITY vala-size          "3.3 MB">
   <!ENTITY vala-buildsize     "175 MB (add 2 MB for tests)">
-  <!ENTITY vala-time          "0.4 SBU (using parallelism=4; add 2.3 SBU for tests)">
+  <!ENTITY vala-time          "0.4 SBU (using parallelism=4; add 2.2 SBU for tests)">
 ]>
 
Index: gnome.ent
===================================================================
--- gnome.ent	(revision faf8e0b232f1ce917a59ae750840b726b4336641)
+++ gnome.ent	(revision 8252e7574da3fb6fe536cb98087e5377cd469d2f)
@@ -17,5 +17,5 @@
 <!-- Chapter 30 -->
 <!-- Platform -->
-<!ENTITY gcr-version                       "3.36.0">
+<!ENTITY gcr-version                       "3.38.0">
 <!ENTITY gsettings-desktop-schemas-version "3.36.1">
 <!ENTITY libsecret-version                 "0.20.3">
@@ -26,5 +26,5 @@
 <!ENTITY GConf-version                     "3.2.6">
 <!ENTITY geocode-glib-version              "3.26.2">
-<!ENTITY gjs-version                       "1.64.4">
+<!ENTITY gjs-version                       "1.66.0">
 <!ENTITY gnome-autoar-version              "0.2.4">
 <!ENTITY gnome-desktop-version             "3.36.6">
Index: gnome/platform/gcr.xml
===================================================================
--- gnome/platform/gcr.xml	(revision faf8e0b232f1ce917a59ae750840b726b4336641)
+++ gnome/platform/gcr.xml	(revision 8252e7574da3fb6fe536cb98087e5377cd469d2f)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY gcr-download-http "&gnome-download-http;/gcr/&gnome-minor-36;/gcr-&gcr-version;.tar.xz">
-  <!ENTITY gcr-download-ftp  "&gnome-download-ftp;/gcr/&gnome-minor-36;/gcr-&gcr-version;.tar.xz">
-  <!ENTITY gcr-md5sum        "adc65563b6b458507b9a578a8b68fb61">
+  <!ENTITY gcr-download-http "&gnome-download-http;/gcr/&gnome-minor-38;/gcr-&gcr-version;.tar.xz">
+  <!ENTITY gcr-download-ftp  "&gnome-download-ftp;/gcr/&gnome-minor-38;/gcr-&gcr-version;.tar.xz">
+  <!ENTITY gcr-md5sum        "0748cfa7ed7b9ea36bea047353f3fa00">
   <!ENTITY gcr-size          "1.0 MB">
-  <!ENTITY gcr-buildsize     "47 MB (with tests)">
-  <!ENTITY gcr-time          "0.5 SBU (with tests)">
+  <!ENTITY gcr-buildsize     "39 MB (with tests)">
+  <!ENTITY gcr-time          "0.4 SBU (with tests)">
 ]>
 
@@ -120,6 +120,4 @@
 <screen><userinput>sed -i -r 's:"(/desktop):"/org/gnome\1:' schema/*.xml &amp;&amp;
 
-sed -i '610 s/;/ = { 0 };/' gck/gck-slot.c &amp;&amp;
-
 mkdir gcr-build &amp;&amp;
 cd    gcr-build &amp;&amp;
@@ -149,9 +147,11 @@
     </para>
 
-    <para>
-      <!-- https://gitlab.gnome.org/GNOME/gcr/-/merge_requests/52/ -->
+    <!--
+    <para>
+      <!- - https://gitlab.gnome.org/GNOME/gcr/-/merge_requests/52/ - ->
       <command>sed ... gck/gck-slot.c</command>:  This command fixes a bug
       (usage of uninitialized value) identified by upstream.
     </para>
+    -->
 
     <para>
@@ -186,5 +186,5 @@
         </seg>
         <seg>
-          libgck-1.so, libgcr-3.so, libgcr-base-3.so and libgcr-ui-3.so
+          libgck-1.so, libgcr-base-3.so and libgcr-ui-3.so
         </seg>
         <seg>
@@ -225,16 +225,4 @@
       </varlistentry>
 
-      <varlistentry id="libgcr-3">
-        <term><filename class="libraryfile">libgcr-3.so</filename></term>
-        <listitem>
-          <para>
-            contains functions for high level crypto parsing.
-          </para>
-          <indexterm zone="gcr libgcr-3">
-            <primary sortas="c-libgcr-3">libgcr-3.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
     </variablelist>
 
Index: gnome/platform/gjs.xml
===================================================================
--- gnome/platform/gjs.xml	(revision faf8e0b232f1ce917a59ae750840b726b4336641)
+++ gnome/platform/gjs.xml	(revision 8252e7574da3fb6fe536cb98087e5377cd469d2f)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY gjs-download-http "&gnome-download-http;/gjs/1.64/gjs-&gjs-version;.tar.xz">
-  <!ENTITY gjs-download-ftp  "&gnome-download-ftp;/gjs/1.64/gjs-&gjs-version;.tar.xz">
-  <!ENTITY gjs-md5sum        "dc0d4a0453484c5a77eb0e2bda091704">
-  <!ENTITY gjs-size          "413 KB">
-  <!ENTITY gjs-buildsize     "65 MB (with tests)">
-  <!ENTITY gjs-time          "0.2 SBU (with tests)">
+  <!ENTITY gjs-download-http "&gnome-download-http;/gjs/1.66/gjs-&gjs-version;.tar.xz">
+  <!ENTITY gjs-download-ftp  "&gnome-download-ftp;/gjs/1.66/gjs-&gjs-version;.tar.xz">
+  <!ENTITY gjs-md5sum        "d43a936f5edd8ff36ecc54684b26d82a">
+  <!ENTITY gjs-size          "432 KB">
+  <!ENTITY gjs-buildsize     "76 MB (with tests)">
+  <!ENTITY gjs-time          "0.8 SBU (with tests)">
 ]>
 
@@ -67,4 +67,14 @@
         <para>
           Estimated build time: &gjs-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Required patch:
+          <ulink url="&patch-root;/gjs-&gjs-version;-upstream_fixes-1.patch"/>
         </para>
       </listitem>
@@ -78,5 +88,5 @@
       <xref linkend="dbus"/>,
       <xref linkend="gobject-introspection"/>, and
-      <xref linkend="js68"/>
+      <xref linkend="js78"/>
     </para>
 
@@ -118,4 +128,10 @@
 
     <para>
+      First, apply a patch to fix some regressions in this version of gjs:
+    </para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../gjs-&gjs-version;-upstream_fixes-1.patch</userinput></screen>
+
+    <para>
       Install <application>Gjs</application> by running the following
       commands:
@@ -131,9 +147,10 @@
       To test the results, issue: <command>ninja test</command>. The
       <application>GTK</application> and <application>Cairo</application>
-      tests will fail if not running in an Xorg session.
-<!-- All 53 tests passed for me with gjs-1.64.4
-      One test,
-      <filename>gjs: Scripts/CommandLine</filename>, is known to fail.
-      On some systems, up to six tests may fail with an error. -->
+      tests will fail if not running in an Xorg session. Additionally, four
+      tests are currently known to fail:
+      <filename>gjs:C / API tests</filename>,
+      <filename>gjs:JS / GIMarshalling</filename>,
+      <filename>gjs:JS / Regress</filename>, and
+      <filename>gjs:JS / Gtk3</filename>.
     </para>
 
@@ -165,5 +182,5 @@
           /usr/include/gjs-1.0,
           /usr/lib/gjs,
-          /usr/libexec/gjs,
+          /usr/libexec/installed-tests/gjs,
           /usr/share/gjs-1.0, and
           /usr/share/installed-tests/gjs
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision faf8e0b232f1ce917a59ae750840b726b4336641)
+++ introduction/welcome/changelog.xml	(revision 8252e7574da3fb6fe536cb98087e5377cd469d2f)
@@ -43,4 +43,30 @@
     -->
     <listitem>
+      <para>October 2nd, 2020</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to vala-0.50.1. Part of
+          <ulink url="&blfs-ticket-root;14029">#14029</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to libsigc++-2.10.4. Part of
+          <ulink url="&blfs-ticket-root;14029">#14029</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to gjs-1.66.0. Part of
+          <ulink url="&blfs-ticket-root;14030">#14030</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to gcr-3.38.0. Part of
+          <ulink url="&blfs-ticket-root;14030">#14030</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to WebKitGTK+-2.30.1. Finishes
+          <ulink url="&blfs-ticket-root;14029">#14029</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+    
+    <listitem>
       <para>September 29th, 2020</para>
       <itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision faf8e0b232f1ce917a59ae750840b726b4336641)
+++ packages.ent	(revision 8252e7574da3fb6fe536cb98087e5377cd469d2f)
@@ -156,5 +156,5 @@
 <!ENTITY libqmi-version               "1.26.4">
 <!ENTITY libseccomp-version           "2.5.0">
-<!ENTITY libsigc-version              "2.10.3">
+<!ENTITY libsigc-version              "2.10.4">
 <!ENTITY libsigsegv-version           "2.12">
 <!ENTITY libssh2-version              "1.9.0">
@@ -370,5 +370,5 @@
 <!ENTITY tk-version                   "8.6.10">
 <!ENTITY vala-major-version           "0.50">  <!-- even minors only -->
-<!ENTITY vala-version                 "&vala-major-version;.0">
+<!ENTITY vala-version                 "&vala-major-version;.1">
 <!ENTITY valgrind-version             "3.16.1">
 <!ENTITY yasm-version                 "1.3.0">
@@ -754,5 +754,5 @@
 <!ENTITY startup-notification-version "0.12">
 <!ENTITY tepl-version                 "5.0.0">
-<!ENTITY webkitgtk-version            "2.28.4">    <!-- Even minors only -->
+<!ENTITY webkitgtk-version            "2.30.1">    <!-- Even minors only -->
 
 <!ENTITY gtk2-libdir                  "2.0/2.10.0">
Index: x/lib/webkitgtk.xml
===================================================================
--- x/lib/webkitgtk.xml	(revision faf8e0b232f1ce917a59ae750840b726b4336641)
+++ x/lib/webkitgtk.xml	(revision 8252e7574da3fb6fe536cb98087e5377cd469d2f)
@@ -7,8 +7,8 @@
   <!ENTITY webkitgtk-download-http "https://webkitgtk.org/releases/webkitgtk-&webkitgtk-version;.tar.xz">
   <!ENTITY webkitgtk-download-ftp  " ">
-  <!ENTITY webkitgtk-md5sum        "10e0cce27208dfbd4cf63dd68a9a47d7">
-  <!ENTITY webkitgtk-size          "20 MB">
-  <!ENTITY webkitgtk-buildsize     "789 MB (115 MB installed)">
-  <!ENTITY webkitgtk-time          "22 SBU (using parallelism=4, estimated 75 SBU using one core)">
+  <!ENTITY webkitgtk-md5sum        "de0f910d60de88273ffde7b4bb88bd42">
+  <!ENTITY webkitgtk-size          "21 MB">
+  <!ENTITY webkitgtk-buildsize     "832 MB (121 MB installed)">
+  <!ENTITY webkitgtk-time          "25 SBU (using parallelism=4, estimated 83 SBU using one core)">
 ]>
 
@@ -134,5 +134,5 @@
     </para>
 
-<screen><userinput>mkdir -vp build &amp;&amp;
+<screen revision="systemd"><userinput>mkdir -vp build &amp;&amp;
 cd        build &amp;&amp;
 
@@ -150,4 +150,21 @@
 ninja</userinput></screen>
 
+<screen revision="sysv"><userinput>mkdir -vp build &amp;&amp;
+cd        build &amp;&amp;
+
+cmake -DCMAKE_BUILD_TYPE=Release  \
+      -DCMAKE_INSTALL_PREFIX=/usr \
+      -DCMAKE_SKIP_RPATH=ON       \
+      -DPORT=GTK                  \
+      -DLIB_INSTALL_DIR=/usr/lib  \
+      -DUSE_LIBHYPHEN=OFF         \
+      -DENABLE_MINIBROWSER=ON     \
+      -DUSE_WOFF2=OFF             \
+      -DUSE_WPE_RENDERER=OFF      \
+      -DUSE_SYSTEMD=OFF           \
+      -DENABLE_BUBBLEWRAP_SANDBOX=OFF \
+      -Wno-dev -G Ninja ..        &amp;&amp;
+ninja</userinput></screen>
+
     <para>
       This package does not have a working testsuite. However, there is a
@@ -197,6 +214,6 @@
 
     <para>
-      <parameter>-DENABLE_MINIBROWSER=ON</parameter>: This switch enables the
-      <application>Mini Browser</application> compilation and install.
+      <parameter>-DENABLE_MINIBROWSER=ON</parameter>: This switch enables
+      compiling and installing the MiniBrowser.
     </para>
 
@@ -208,8 +225,14 @@
 
     <para>
-      <parameter>-DENABLE_BUBBLEWRAP_SANDBOX=OFF</parameter>: Remove this switch if the optional 
-	  packages <xref linkend="bubblewrap"/> and
+      <parameter>-DENABLE_BUBBLEWRAP_SANDBOX=OFF</parameter>: Remove this 
+      switch if the optional packages <xref linkend="bubblewrap"/> and
       <ulink url="https://github.com/flatpak/xdg-dbus-proxy">xdg-dbus-proxy</ulink>
       are installed.
+    </para>
+
+    <para revision="sysv">
+      <parameter>-DUSE_SYSTEMD=OFF</parameter>: This switch disables using the
+      systemd journal for logging errors and debugging information since it
+      is not available on SysV systems.
     </para>
 