Index: content/web/apache.xml
===================================================================
--- content/web/apache.xml	(revision 65df9fca7b49a35cec75c260931e9af291f3ede4)
+++ content/web/apache.xml	(revision 08254fce879e19630eb1d8b9cf0a43784ae639bd)
@@ -1,11 +1,200 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY apache-download-http "http://www.apache.org/dist/httpd/httpd-&apache-version;.tar.gz">
+  <!ENTITY apache-download-ftp  "ftp://ftp.tux.org/pub/net/apache/dist/httpd/httpd-&apache-version;.tar.gz">
+  <!ENTITY apache-size          "5.7 MB">
+  <!ENTITY apache-buildsize     "75 MB">
+  <!ENTITY apache-time          "1.32 SBU">
+]>
+
 <sect1 id="apache" xreflabel="Apache-&apache-version;">
 <?dbhtml filename="apache.html"?>
 <title>Apache-&apache-version;</title>
 
-&apache-intro;
-&apache-inst;
-&apache-exp;
-&apache-config;
-&apache-desc;
+<sect2>
+<title>Introduction to <application>Apache</application></title>
+
+<para>The <application>Apache</application> package contains an
+open-source <acronym>HTTP</acronym> server. It is
+useful for creating local intranet web sites or running huge web serving
+operations.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink url="&apache-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink url="&apache-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &apache-size;</para></listitem>
+<listitem><para>Estimated Disk space required: &apache-buildsize;</para></listitem>
+<listitem><para>Estimated build time: &apache-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title>Additional downloads</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Required Patch: <ulink
+url="&patch-root;/httpd-&apache-version;-config.patch"/></para></listitem>
+</itemizedlist></sect3>
+
+<sect3><title><application>Apache</application> dependencies</title>
+<sect4><title>Optional</title>
+<para><xref linkend="db"/> or <xref linkend="gdbm"/>, <xref linkend="openssl"/>, <xref
+linkend="openldap"/> and <xref linkend="expat"/>
+</para></sect4>
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Installation of <application>Apache</application></title>
+
+<para>For security reasons, running the server as an unprivileged user and group is strongly encouraged.</para>
+
+<screen><userinput><command>groupadd apache &amp;&amp;
+useradd -c apache -d /dev/null -g apache -s /bin/false apache</command></userinput></screen>
+
+<para>The following patch will define the layout of destination directories
+and, among them, the build directory at
+<filename class="directory">/usr/lib/apache/build</filename>. This 
+will allow the modules added to <application>Apache</application> to
+be configured without errors. Apply the patch:</para>
+
+<screen><userinput><command>patch -Np1 -i ../httpd-&apache-version;-config.patch</command></userinput></screen>
+
+<para>Build and install <application>Apache</application> by running the following commands:</para>
+
+<screen><userinput><command>./configure --enable-layout=LFS \
+            --enable-mods-shared=all &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+</sect2>
+
+<sect2>
+<title>Command explanations</title>
+
+<para><parameter>--with-expat=/usr</parameter>: Uses system installed
+expat. <emphasis>If you have installed expat and do not use this switch, the
+apache installation may overwrite some files from the expat installation.</emphasis></para>
+<para><parameter>--enable-mods-shared=all</parameter>: We want modules
+to be compiled and used as Dynamic Shared Objects
+(<acronym>DSO</acronym>s) so they can be included and excluded from the
+server using the run-time configuration directives.
+</para>
+
+<para><parameter>--enable-ssl</parameter>: Use this switch
+to create the <filename class="libraryfile">mod_ssl</filename>
+module and enable <acronym>SSL</acronym> support.</para>
+
+</sect2>
+
+<sect2>
+<title>Configuring <application>Apache</application></title>
+
+<sect3>
+<title>Config files</title>
+
+<para><filename>/etc/apache/*</filename></para>
+
+</sect3>
+
+<sect3><title>Configuration Information</title>
+
+<para>The main configuration file is called
+<filename>httpd.conf</filename>. Modify it to run the server as a
+dedicated user:</para>
+
+<screen><userinput><command>sed -i -e "s%User nobody%User apache%" -e "s%^Group #-1%Group apache%" /etc/apache/httpd.conf</command></userinput></screen>
+    
+<para>See 
+<ulink url="http://httpd.apache.org/docs-2.0/configuring.html"/> for
+detailed instructions on customizing your Apache <acronym>HTTP</acronym>
+server.</para>
+
+<para>Install the <filename>/etc/rc.d/init.d/apache</filename>
+init script included in the <xref linkend="intro-important-bootscripts"/> package.</para>
+                                                                                                                
+<screen><userinput><command>make install-apache</command></userinput></screen>
+
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Contents</title>
+
+<para>The <application>Apache</application> package provides
+<command>ab</command>,
+<command>apachectl</command>,
+<command>apr-config</command>,
+<command>apu-config</command>,
+<command>apxs</command>,
+<command>checkgid</command>,
+<command>dbmmanage</command>,
+<command>htdbm</command>,
+<command>htdigest</command>,
+<command>htpasswd</command>,
+<command>httpd</command>,
+<command>instdso.sh</command>,
+<command>logresolve</command>,
+<command>rotatelogs</command>,
+<filename class="libraryfile">libapr</filename>,
+<filename class="libraryfile">libaprutil</filename> and
+various modules.</para>
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>ab</title>
+<para><command>ab</command> is a tool for benchmarking your
+<application>Apache</application> <acronym>HTTP</acronym> server.
+</para></sect3>
+
+<sect3><title>apachectl</title>
+<para><command>apachectl</command> is a front end to the
+<application>Apache</application> <acronym>HTTP</acronym> 
+server which is designed to help the administrator control the
+functioning of the <application>Apache</application> httpd daemon.</para></sect3>
+
+<sect3><title>apxs</title>
+<para><command>apxs</command> 
+is a tool for building and installing extension modules for the
+<application>Apache</application> <acronym>HTTP</acronym> server.</para></sect3>
+
+<sect3><title>dbmmanage</title>
+<para><command>dbmmanage</command> is used to create and update the
+<filename>DBM</filename> format files used to store usernames and passwords  
+for basic authentication of <acronym>HTTP</acronym>
+users.</para></sect3>
+
+<sect3><title>htdigest</title>
+<para><command>htdigest</command> is used to create and update the
+flat-files used to store usernames, realms and passwords for digest 
+authentication of <acronym>HTTP</acronym> users.</para></sect3>
+
+<sect3><title>htpasswd</title>
+<para><command>htpasswd</command> is used to create and update the
+flat-files used to store usernames and passwords for basic authentication of 
+<acronym>HTTP</acronym> users.</para></sect3>
+
+<sect3><title>httpd</title>
+<para><command>httpd</command> is the <application>Apache</application> <acronym>HTTP</acronym>
+server program.</para></sect3>
+
+<sect3><title>instdso.sh</title>
+<para><command>instdso.sh</command> is a script which installs
+<application>Apache</application> <acronym>DSO</acronym> modules.</para></sect3>
+
+<sect3><title>logresolve</title>
+<para><command>logresolve</command> is a post-processing program to
+resolve <acronym>IP</acronym>-addresses in <application>Apache</application>'s access log files.</para></sect3>
+
+<sect3><title>rotatelogs</title>
+<para><command>rotatelogs</command> is a simple program for use in
+conjunction with <application>Apache</application>'s piped log file feature.</para></sect3>
+
+</sect2>
 
 </sect1>
Index: content/web/php.xml
===================================================================
--- content/web/php.xml	(revision 65df9fca7b49a35cec75c260931e9af291f3ede4)
+++ content/web/php.xml	(revision 08254fce879e19630eb1d8b9cf0a43784ae639bd)
@@ -1,10 +1,132 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY php-download-http "http://us2.php.net/distributions/php-&php-version;.tar.bz2">
+  <!ENTITY php-download-ftp  "ftp://ftp.isu.edu.tw/pub/Unix/Web/PHP/distributions/php-&php-version;.tar.bz2">
+  <!ENTITY php-size          "3.8 MB">
+  <!ENTITY php-buildsize     "57 MB">
+  <!ENTITY php-time          "0.90 SBU">
+]>
+
 <sect1 id="php" xreflabel="PHP-&php-version;">
 <?dbhtml filename="php.html"?>
 <title><acronym>PHP</acronym>-&php-version;</title>
 
-&php-intro;
-&php-inst;
-&php-config;
-&php-desc;
+<sect2>
+<title>Introduction to <application><acronym>PHP</acronym></application></title>
+
+<para><application><acronym>PHP</acronym></application> is the PHP
+Hypertext Preprocessor. Primarily used in dynamic web sites, it allows for
+programming code to be directly embedded into the
+<acronym>HTML</acronym> markup.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink url="&php-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink url="&php-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &php-size;</para></listitem>
+<listitem><para>Estimated Disk space required: &php-buildsize;</para></listitem>
+<listitem><para>Estimated build time: &php-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application><acronym>PHP</acronym></application> dependencies</title>
+<sect4><title>Required</title>
+<para>
+<xref linkend="apache"/> and
+<xref linkend="mysql"/>
+</para></sect4>
+<sect4><title>Optional</title>
+<para>
+<xref linkend="openssl"/>,
+<xref linkend="bc"/>,
+<xref linkend="curl"/>,
+<xref linkend="db"/>,
+<xref linkend="libjpeg"/>,
+<xref linkend="libpng"/>,
+<xref linkend="freetype2"/>,
+<xref linkend="gdbm"/>, 
+<ulink url="../server/mail.html">MTA</ulink>,
+<xref linkend="pcre"/>,
+<xref linkend="postgresql"/>,
+<xref linkend="readline"/>,
+<xref linkend="libtiff"/>,
+<xref linkend="expat"/> and
+<xref linkend="gmp"/>
+</para></sect4>
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Installation of <application><acronym>PHP</acronym></application></title>
+
+<para>Install <application><acronym>PHP</acronym></application> by
+running the following commands:</para>
+
+<screen><userinput><command>./configure --prefix=/usr --sysconfdir=/etc \
+    --with-apxs2 --with-config-file-path=/etc \
+    --with-zlib --with-bz2 --enable-ftp --with-gettext \
+    --with-iconv --with-mysql=/usr --with-ncurses &amp;&amp;
+make &amp;&amp;
+make install &amp;&amp;
+cp php.ini-recommended /etc/php.ini</command></userinput></screen>
+
+<note><para><acronym>PHP</acronym> has many more configure options that
+will enable support for certain things. You can use
+<command>./configure --help</command> to see a full list of the
+available options. Also, use of the
+<ulink url="http://www.php.net/"><acronym>PHP</acronym> web site</ulink>
+is highly recommended, as their online docs are very good.</para></note>
+
+</sect2>
+
+<sect2>
+<title>Configuring <application><acronym>PHP</acronym></application></title>
+
+<sect3><title>Config files</title>
+<para><filename>/etc/php.ini</filename>,
+<filename>/etc/pear.conf</filename></para>
+</sect3>
+
+<sect3><title>Configuration Information</title>
+
+<para>To enable <acronym>PHP</acronym> support in the
+<application>Apache</application> web server,
+a new AddType directive must be added to the
+<filename>httpd.conf</filename> file:</para>
+
+<screen><userinput>AddType application/x-httpd-php .php</userinput></screen>
+
+<para>Also, it can be useful to add an entry for index.php to the
+DirectoryIndex directive of the <filename>httpd.conf</filename>
+file.</para>
+
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Contents</title>
+
+<para>The <application><acronym>PHP</acronym></application> package contains
+<command>pear</command>,
+<command>php</command>,
+<command>php-config</command>,
+<command>phpextdist</command> and
+<command>phpize</command>.
+</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>php</title>
+<para><command>php</command> is a command line interface that enables
+you to parse and execute <acronym>PHP</acronym> code.</para></sect3>
+
+</sect2>
 
 </sect1>
Index: content/web/proftpd.xml
===================================================================
--- content/web/proftpd.xml	(revision 65df9fca7b49a35cec75c260931e9af291f3ede4)
+++ content/web/proftpd.xml	(revision 08254fce879e19630eb1d8b9cf0a43784ae639bd)
@@ -1,11 +1,182 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY proftpd-download-http "http://ftp.proftpd.org/distrib/source/proftpd-&proftpd-version;.tar.bz2">
+  <!ENTITY proftpd-download-ftp  "ftp://ftp.proftpd.org/distrib/source/proftpd-&proftpd-version;.tar.bz2">
+  <!ENTITY proftpd-size          "761 KB">
+  <!ENTITY proftpd-buildsize     "6.4 MB">
+  <!ENTITY proftpd-time          "0.27 SBU">
+]>
+
 <sect1 id="proftpd" xreflabel="ProFTPD-&proftpd-version;">
 <?dbhtml filename="proftpd.html"?>
 <title>ProFTPD-&proftpd-version;</title>
 
-&proftpd-intro;
-&proftpd-inst;
-&proftpd-exp;
-&proftpd-config;
-&proftpd-desc;
+<sect2>
+<title>Introduction to ProFTPD</title>
+
+<para>The <application>ProFTPD</application> package contains a secure and
+highly configurable FTP daemon. This is useful for serving large file archives
+over a network.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP):<ulink url="&proftpd-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink url="&proftpd-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &proftpd-size;</para></listitem>
+<listitem><para>Estimated Disk space required: &proftpd-buildsize;</para></listitem>
+<listitem><para>Estimated build time: &proftpd-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>ProFTPD</application> dependencies</title>
+<sect4><title>Optional</title>
+<para><xref linkend="Linux_PAM"/></para></sect4>
+</sect3>
+
+</sect2>
+
+<sect2>
+<title>Installation of <application>ProFTPD</application></title>
+
+<para>For security reasons, running <application>ProFTPD</application>
+as an unprivileged user and group is encouraged.</para>
+
+<screen><userinput><command>groupadd proftpd &amp;&amp;
+useradd -c proftpd -d /home/ftp -g proftpd -s /bin/false proftpd</command>
+</userinput></screen>
+
+<para>Install <application>ProFTPD</application> by running the following commands:</para>
+
+<screen><userinput><command>install_user=proftpd install_group=proftpd \
+&nbsp;&nbsp;&nbsp;./configure --prefix=/usr --sysconfdir=/etc \
+&nbsp;&nbsp;&nbsp;--localstatedir=/var/run &amp;&amp;
+make &amp;&amp;
+make install </command></userinput></screen>
+
+</sect2>
+
+<sect2>
+<title>Command explanations</title>
+
+<para><parameter>install_user=proftpd install_group=proftpd</parameter>:
+Specify the user and group identity for ProFTPD.</para>
+
+<para><parameter>--sysconfdir=/etc</parameter>:
+This prevents the configuration files from going to
+<filename class="directory">/usr/etc</filename>.</para>
+
+<para><parameter>--localstatedir=/var/run</parameter>:
+This uses <filename class="directory">/var/run</filename> instead of
+<filename class="directory">/usr/var</filename> for lock files.</para>
+
+</sect2>
+
+<sect2>
+<title>Configuring <application>ProFTPD</application></title>
+
+<sect3><title>proftpd init.d script</title>
+<para>Install the <filename>/etc/rc.d/init.d/proftpd</filename>
+init script included in the <xref linkend="intro-important-bootscripts"/> package.</para>
+                                                                                                                
+<screen><userinput><command>make install-proftpd</command></userinput></screen>
+
+</sect3>
+
+<sect3><title>Config files</title>
+
+<para><filename>/etc/proftpd.conf</filename></para>
+<para>This is a simple, download-only sample configuration. See the ProFTPD
+documentation in <filename class="directory">/usr/share/doc/proftpd</filename>
+and consult the website at <ulink url="http://www.proftpd.org/"/>
+ for example configurations.</para>
+
+<screen><userinput><command>cat &gt; /etc/proftpd.conf &lt;&lt; "EOF"</command>
+# This is a basic ProFTPD configuration file
+# It establishes a single server and a single anonymous login.
+
+ServerName                      "ProFTPD Default Installation"
+ServerType                      standalone
+DefaultServer                   on
+
+# Port 21 is the standard FTP port.
+Port                            21
+# Umask 022 is a good standard umask to prevent new dirs and files
+# from being group and world writable.
+Umask                           022
+
+# To prevent DoS attacks, set the maximum number of child processes
+# to 30.  If you need to allow more than 30 concurrent connections
+# at once, simply increase this value.  Note that this ONLY works
+# in standalone mode, in inetd mode you should use an inetd server
+# that allows you to limit maximum number of processes per service
+# (such as xinetd)
+MaxInstances                    30
+
+# Set the user and group that the server normally runs at.
+User                            proftpd
+Group                           proftpd
+
+# Normally, we want files to be overwritable.
+&lt;Directory /*&gt;
+  AllowOverwrite                on
+&lt;/Directory&gt;
+
+# A basic anonymous configuration, no upload directories.
+&lt;Anonymous ~proftpd&gt;
+  User                          proftpd
+  Group                         proftpd
+  # We want clients to be able to login with "anonymous" as well as "proftpd"
+  UserAlias                     anonymous proftpd
+
+  # Limit the maximum number of anonymous logins
+  MaxClients                    10
+
+  # We want 'welcome.msg' displayed at login, and '.message' displayed
+  # in each newly chdired directory.
+  DisplayLogin                  welcome.msg
+  DisplayFirstChdir             .message
+
+  # Limit WRITE everywhere in the anonymous chroot
+  &lt;Limit WRITE&gt;
+    DenyAll
+  &lt;/Limit&gt;
+&lt;/Anonymous&gt;
+<command>EOF</command></userinput></screen></sect3>
+
+</sect2>
+
+<sect2>
+<title>Contents</title>
+
+<para>The <application>ProFTPD</application> package contains
+<command>ftpcount</command>, <command>ftpshut</command>,
+<command>ftptop</command>, <command>ftpwho</command> and
+<command>proftpd</command>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>ftpcount</title>
+<para><command>ftpcount</command> shows the current number of connections.</para></sect3>
+
+<sect3><title>ftpshut</title>
+<para><command>ftpshut</command> shuts down all proftpd servers at a
+given time.</para></sect3>
+
+<sect3><title>ftptop</title>
+<para><command>ftptop</command> displays running status on connections.</para></sect3>
+
+<sect3><title>ftpwho</title>
+<para><command>ftpwho</command> shows current process information for
+each session.</para></sect3>
+
+<sect3><title>proftpd</title>
+<para><command>proftpd</command> is the daemon itself.</para></sect3>
+
+</sect2>
 
 </sect1>
Index: content/web/web.xml
===================================================================
--- content/web/web.xml	(revision 65df9fca7b49a35cec75c260931e9af291f3ede4)
+++ content/web/web.xml	(revision 08254fce879e19630eb1d8b9cf0a43784ae639bd)
@@ -1,2 +1,9 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
+   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
 <chapter id="content-web">
 <?dbhtml filename="web.html"?>
@@ -8,7 +15,7 @@
 requests.</para>
 
-&apache;
-&php; 
-&proftpd;
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="apache.xml"/> 
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="php.xml"/> 
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="proftpd.xml"/> 
 
 </chapter>