Index: kde/add/ark.xml
===================================================================
--- kde/add/ark.xml	(revision 1ae0f6583fe77be37d1294cd4e7b30113c614a6d)
+++ kde/add/ark.xml	(revision 8309bf4bf12ef9ea94b8d7ff9a4d0b47941171c3)
@@ -7,7 +7,7 @@
   <!ENTITY ark-download-http "&kde-download-http;&kde-version;/src/ark-&kde-version;.tar.xz">
   <!ENTITY ark-download-ftp  "&kde-download-ftp;&kde-version;/src/ark-&kde-version;.tar.xz">
-  <!ENTITY ark-md5sum        "6a5571a8d656219b7059d18c66ff5744">
-  <!ENTITY ark-size          "228 KB">
-  <!ENTITY ark-buildsize     "12.1 MB">
+  <!ENTITY ark-md5sum        "6af368a29e1f0c0a673b119cb2827e99">
+  <!ENTITY ark-size          "232 KB">
+  <!ENTITY ark-buildsize     "10.1 MB">
   <!ENTITY ark-time          "0.4 SBU">
 ]>
Index: kde/add/gwenview.xml
===================================================================
--- kde/add/gwenview.xml	(revision 1ae0f6583fe77be37d1294cd4e7b30113c614a6d)
+++ kde/add/gwenview.xml	(revision 8309bf4bf12ef9ea94b8d7ff9a4d0b47941171c3)
@@ -7,8 +7,8 @@
   <!ENTITY gwenview-download-http "&kde-download-http;&kde-version;/src/gwenview-&kde-version;.tar.xz">
   <!ENTITY gwenview-download-ftp  "&kde-download-ftp;&kde-version;/src/gwenview-&kde-version;.tar.xz">
-  <!ENTITY gwenview-md5sum        "59d45432da7fefe3e1db01a49e0c1df8">
+  <!ENTITY gwenview-md5sum        "7fbfefd9a6c7a13c6ee3d3fa3dfcd529">
   <!ENTITY gwenview-size          "2.8 MB">
-  <!ENTITY gwenview-buildsize     "31 MB">
-  <!ENTITY gwenview-time          "1.6 SBU">
+  <!ENTITY gwenview-buildsize     "26 MB">
+  <!ENTITY gwenview-time          "1.5 SBU">
 ]>
 
Index: kde/add/kate.xml
===================================================================
--- kde/add/kate.xml	(revision 1ae0f6583fe77be37d1294cd4e7b30113c614a6d)
+++ kde/add/kate.xml	(revision 8309bf4bf12ef9ea94b8d7ff9a4d0b47941171c3)
@@ -7,8 +7,8 @@
   <!ENTITY kate-download-http "&kde-download-http;&kde-version;/src/kate-&kde-version;.tar.xz">
   <!ENTITY kate-download-ftp  "&kde-download-ftp;&kde-version;/src/kate-&kde-version;.tar.xz">
-  <!ENTITY kate-md5sum        "58c365365f06611801f8151ec538d572">
+  <!ENTITY kate-md5sum        "07e5169a24dcae8b1965245db5fb6ecd">
   <!ENTITY kate-size          "2.6 MB">
-  <!ENTITY kate-buildsize     "106 MB">
-  <!ENTITY kate-time          "3.6 SBU">
+  <!ENTITY kate-buildsize     "86 MB">
+  <!ENTITY kate-time          "3.4 SBU">
 ]>
 
Index: kde/add/kdepim-runtime.xml
===================================================================
--- kde/add/kdepim-runtime.xml	(revision 1ae0f6583fe77be37d1294cd4e7b30113c614a6d)
+++ kde/add/kdepim-runtime.xml	(revision 8309bf4bf12ef9ea94b8d7ff9a4d0b47941171c3)
@@ -7,8 +7,8 @@
   <!ENTITY kdepim-runtime-download-http "&kde-download-http;&kde-version;/src/kdepim-runtime-&kde-version;.tar.xz">
   <!ENTITY kdepim-runtime-download-ftp  "&kde-download-ftp;&kde-version;/src/kdepim-runtime-&kde-version;.tar.xz">
-  <!ENTITY kdepim-runtime-md5sum        "d61377154335a36fc0005b8d552b3279">
+  <!ENTITY kdepim-runtime-md5sum        "dc879624884cb2cb037d63bcd1cbe710">
   <!ENTITY kdepim-runtime-size          "1.1 MB">
-  <!ENTITY kdepim-runtime-buildsize     "132 MB">
-  <!ENTITY kdepim-runtime-time          "7.8 SBU">
+  <!ENTITY kdepim-runtime-buildsize     "116 MB">
+  <!ENTITY kdepim-runtime-time          "7.4 SBU">
 ]>
 
Index: kde/add/kdepim.xml
===================================================================
--- kde/add/kdepim.xml	(revision 1ae0f6583fe77be37d1294cd4e7b30113c614a6d)
+++ kde/add/kdepim.xml	(revision 8309bf4bf12ef9ea94b8d7ff9a4d0b47941171c3)
@@ -7,8 +7,8 @@
   <!ENTITY kdepim-download-http "&kde-download-http;&kde-version;/src/kdepim-&kde-version;.tar.xz">
   <!ENTITY kdepim-download-ftp  "&kde-download-ftp;&kde-version;/src/kdepim-&kde-version;.tar.xz">
-  <!ENTITY kdepim-md5sum        "0e9840faba4be79e50dc30bf64f31880">
+  <!ENTITY kdepim-md5sum        "5cb16b829451a874a49b27872fded15d">
   <!ENTITY kdepim-size          "13.8 MB">
-  <!ENTITY kdepim-buildsize     "453 MB">
-  <!ENTITY kdepim-time          "24 SBU">
+  <!ENTITY kdepim-buildsize     "372 MB">
+  <!ENTITY kdepim-time          "23 SBU">
 ]>
 
Index: kde/add/kdeplasma-addons.xml
===================================================================
--- kde/add/kdeplasma-addons.xml	(revision 1ae0f6583fe77be37d1294cd4e7b30113c614a6d)
+++ kde/add/kdeplasma-addons.xml	(revision 8309bf4bf12ef9ea94b8d7ff9a4d0b47941171c3)
@@ -7,8 +7,8 @@
   <!ENTITY kdeplasma-addons-download-http "&kde-download-http;&kde-version;/src/kdeplasma-addons-&kde-version;.tar.xz">
   <!ENTITY kdeplasma-addons-download-ftp  "&kde-download-ftp;&kde-version;/src/kdeplasma-addons-&kde-version;.tar.xz">
-  <!ENTITY kdeplasma-addons-md5sum        "ca11e9c0071787f66006e42cfb74fe98">
+  <!ENTITY kdeplasma-addons-md5sum        "a54cf7865c0af73efa802894164ceb01">
   <!ENTITY kdeplasma-addons-size          "1.7 MB">
-  <!ENTITY kdeplasma-addons-buildsize     "90 MB">
-  <!ENTITY kdeplasma-addons-time          "3.9 SBU">
+  <!ENTITY kdeplasma-addons-buildsize     "73 MB">
+  <!ENTITY kdeplasma-addons-time          "3.6 SBU">
 ]>
 
Index: kde/add/kmix.xml
===================================================================
--- kde/add/kmix.xml	(revision 1ae0f6583fe77be37d1294cd4e7b30113c614a6d)
+++ kde/add/kmix.xml	(revision 8309bf4bf12ef9ea94b8d7ff9a4d0b47941171c3)
@@ -7,8 +7,8 @@
   <!ENTITY kmix-download-http "&kde-download-http;&kde-version;/src/kmix-&kde-version;.tar.xz">
   <!ENTITY kmix-download-ftp  "&kde-download-ftp;&kde-version;/src/kmix-&kde-version;.tar.xz">
-  <!ENTITY kmix-md5sum        "743837f1ba418916e9d6b630ba4bb095">
-  <!ENTITY kmix-size          "372 KB">
-  <!ENTITY kmix-buildsize     "14.2 MB">
-  <!ENTITY kmix-time          "1.1 SBU">
+  <!ENTITY kmix-md5sum        "9df8965b7a514a679863a5a7917e40ec">
+  <!ENTITY kmix-size          "376 KB">
+  <!ENTITY kmix-buildsize     "74 MB">
+  <!ENTITY kmix-time          "1.2 SBU">
 ]>
 
Index: kde/add/konsole.xml
===================================================================
--- kde/add/konsole.xml	(revision 1ae0f6583fe77be37d1294cd4e7b30113c614a6d)
+++ kde/add/konsole.xml	(revision 8309bf4bf12ef9ea94b8d7ff9a4d0b47941171c3)
@@ -7,7 +7,7 @@
   <!ENTITY konsole-download-http "&kde-download-http;&kde-version;/src/konsole-&kde-version;.tar.xz">
   <!ENTITY konsole-download-ftp  "&kde-download-ftp;&kde-version;/src/konsole-&kde-version;.tar.xz">
-  <!ENTITY konsole-md5sum        "b4862f13c76911e4a1b85dfca4558226">
-  <!ENTITY konsole-size          "448 KB">
-  <!ENTITY konsole-buildsize     "17.8 MB">
+  <!ENTITY konsole-md5sum        "24965b6449e57cf2c4598fe0e1448f25">
+  <!ENTITY konsole-size          "452 KB">
+  <!ENTITY konsole-buildsize     "15.5 MB">
   <!ENTITY konsole-time          "0.7 SBU">
 ]>
Index: kde/add/libkcddb.xml
===================================================================
--- kde/add/libkcddb.xml	(revision 1ae0f6583fe77be37d1294cd4e7b30113c614a6d)
+++ kde/add/libkcddb.xml	(revision 8309bf4bf12ef9ea94b8d7ff9a4d0b47941171c3)
@@ -7,7 +7,7 @@
   <!ENTITY libkcddb-download-http "&kde-download-http;&kde-version;/src/libkcddb-&kde-version;.tar.xz">
   <!ENTITY libkcddb-download-ftp  "&kde-download-ftp;&kde-version;/src/libkcddb-&kde-version;.tar.xz">
-  <!ENTITY libkcddb-md5sum        "b5e89b2dfceb6c1b3625397e9bafabb9">
-  <!ENTITY libkcddb-size          "156 KB">
-  <!ENTITY libkcddb-buildsize     "10.2 MB">
+  <!ENTITY libkcddb-md5sum        "cb93dba05ce5f54d52203faf5f9c01c1">
+  <!ENTITY libkcddb-size          "160 KB">
+  <!ENTITY libkcddb-buildsize     "9.2 MB">
   <!ENTITY libkcddb-time          "0.5 SBU">
 ]>
Index: kde/add/libkdcraw.xml
===================================================================
--- kde/add/libkdcraw.xml	(revision 1ae0f6583fe77be37d1294cd4e7b30113c614a6d)
+++ kde/add/libkdcraw.xml	(revision 8309bf4bf12ef9ea94b8d7ff9a4d0b47941171c3)
@@ -7,7 +7,7 @@
   <!ENTITY libkdcraw-download-http "&kde-download-http;&kde-version;/src/libkdcraw-&kde-version;.tar.xz">
   <!ENTITY libkdcraw-download-ftp  "&kde-download-ftp;&kde-version;/src/libkdcraw-&kde-version;.tar.xz">
-  <!ENTITY libkdcraw-md5sum        "fa024b8605b0836428ac4de591c248fa">
-  <!ENTITY libkdcraw-size          "100 KB">
-  <!ENTITY libkdcraw-buildsize     "3.5 MB">
+  <!ENTITY libkdcraw-md5sum        "9031d3590e8b28c18efa98441400c4fa">
+  <!ENTITY libkdcraw-size          "104 KB">
+  <!ENTITY libkdcraw-buildsize     "2.4 MB">
   <!ENTITY libkdcraw-time          "0.1 SBU">
 ]>
Index: kde/add/libkexiv2.xml
===================================================================
--- kde/add/libkexiv2.xml	(revision 1ae0f6583fe77be37d1294cd4e7b30113c614a6d)
+++ kde/add/libkexiv2.xml	(revision 8309bf4bf12ef9ea94b8d7ff9a4d0b47941171c3)
@@ -7,8 +7,8 @@
   <!ENTITY libkexiv2-download-http "&kde-download-http;&kde-version;/src/libkexiv2-&kde-version;.tar.xz">
   <!ENTITY libkexiv2-download-ftp  "&kde-download-ftp;&kde-version;/src/libkexiv2-&kde-version;.tar.xz">
-  <!ENTITY libkexiv2-md5sum        "89a4761a0f78f3a4b203e39646c041da">
-  <!ENTITY libkexiv2-size          "136 KB">
-  <!ENTITY libkexiv2-buildsize     "8.3 MB">
-  <!ENTITY libkexiv2-time          "0.4 SBU">
+  <!ENTITY libkexiv2-md5sum        "a872ec045c2240b344fa938a46794def">
+  <!ENTITY libkexiv2-size          "140 KB">
+  <!ENTITY libkexiv2-buildsize     "6.3 MB">
+  <!ENTITY libkexiv2-time          "0.3 SBU">
 ]>
 
Index: kde/add/okular.xml
===================================================================
--- kde/add/okular.xml	(revision 1ae0f6583fe77be37d1294cd4e7b30113c614a6d)
+++ kde/add/okular.xml	(revision 8309bf4bf12ef9ea94b8d7ff9a4d0b47941171c3)
@@ -7,8 +7,8 @@
   <!ENTITY okular-download-http "&kde-download-http;&kde-version;/src/okular-&kde-version;.tar.xz">
   <!ENTITY okular-download-ftp  "&kde-download-ftp;&kde-version;/src/okular-&kde-version;.tar.xz">
-  <!ENTITY okular-md5sum        "13619beb617d1207da2c0f8af8da0b30">
+  <!ENTITY okular-md5sum        "6d7e67d98bd99615b9297b58758eb47c">
   <!ENTITY okular-size          "1.5 MB">
-  <!ENTITY okular-buildsize     "39 MB">
-  <!ENTITY okular-time          "1.7 SBU">
+  <!ENTITY okular-buildsize     "32 MB">
+  <!ENTITY okular-time          "1.6 SBU">
 ]>
 