Index: general.ent
===================================================================
--- general.ent	(revision 32d76f0019f878544415e7ae137f895dcb4a0f4a)
+++ general.ent	(revision 8388aa77112e0645a72544dd588aa236ed522ac8)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "06">                   <!-- Always 2 digits -->
+<!ENTITY day          "07">                   <!-- Always 2 digits -->
 <!ENTITY month        "03">                   <!-- Always 2 digits -->
 <!ENTITY year         "2021">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "March 6th, &year;">
+<!ENTITY releasedate  "March 7th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/graphlib/jasper.xml
===================================================================
--- general/graphlib/jasper.xml	(revision 32d76f0019f878544415e7ae137f895dcb4a0f4a)
+++ general/graphlib/jasper.xml	(revision 8388aa77112e0645a72544dd588aa236ed522ac8)
@@ -7,5 +7,5 @@
   <!ENTITY jasper-download-http "https://github.com/jasper-software/jasper/archive/version-&jasper-version;/jasper-&jasper-version;.tar.gz">
   <!ENTITY jasper-download-ftp  " ">
-  <!ENTITY jasper-md5sum        "afbdd817fcdd0dcfbd6bec79825b944a">
+  <!ENTITY jasper-md5sum        "e1e589790f4a2d49b8fee4aa50a4fe38">
   <!ENTITY jasper-size          "1.3 MB">
   <!ENTITY jasper-buildsize     "7.3 MB (with tests)">
Index: general/graphlib/qpdf.xml
===================================================================
--- general/graphlib/qpdf.xml	(revision 32d76f0019f878544415e7ae137f895dcb4a0f4a)
+++ general/graphlib/qpdf.xml	(revision 8388aa77112e0645a72544dd588aa236ed522ac8)
@@ -7,8 +7,8 @@
   <!ENTITY qpdf-download-http "https://github.com/qpdf/qpdf/releases/download/release-qpdf-&qpdf-version;/qpdf-&qpdf-version;.tar.gz">
   <!ENTITY qpdf-download-ftp  " ">
-  <!ENTITY qpdf-md5sum        "c8f4430823603ee3b430b3250015ede5">
+  <!ENTITY qpdf-md5sum        "0e9918cfb9bb13c96b7cd0cffd401b3d">
   <!ENTITY qpdf-size          "18 MB">
-  <!ENTITY qpdf-buildsize     "312 MB (add 50 MB for tests)">
-  <!ENTITY qpdf-time          "0.5 SBU (using parallelism=4; add 1.8 SBU for tests)">
+  <!ENTITY qpdf-buildsize     "320 MB (add 50 MB for tests)">
+  <!ENTITY qpdf-time          "0.5 SBU (using parallelism=4; add 1.2 SBU for tests)">
 ]>
 
Index: general/sysutils/unrar.xml
===================================================================
--- general/sysutils/unrar.xml	(revision 32d76f0019f878544415e7ae137f895dcb4a0f4a)
+++ general/sysutils/unrar.xml	(revision 8388aa77112e0645a72544dd588aa236ed522ac8)
@@ -7,7 +7,7 @@
   <!ENTITY unrar-download-http "http://www.rarlab.com/rar/unrarsrc-&unrar-version;.tar.gz">
   <!ENTITY unrar-download-ftp  " ">
-  <!ENTITY unrar-md5sum        "54513ee5b1870f1d35bfa82eacce6b0f">
-  <!ENTITY unrar-size          "228 KB">
-  <!ENTITY unrar-buildsize     "2.2 MB">
+  <!ENTITY unrar-md5sum        "1fcb1a1ec7ea127c3823e5dcae7ca1d6">
+  <!ENTITY unrar-size          "227 KB">
+  <!ENTITY unrar-buildsize     "2.5 MB">
   <!ENTITY unrar-time          "less than 0.1 SBU">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 32d76f0019f878544415e7ae137f895dcb4a0f4a)
+++ introduction/welcome/changelog.xml	(revision 8388aa77112e0645a72544dd588aa236ed522ac8)
@@ -43,4 +43,26 @@
     -->
     <listitem>
+      <para>March 7th, 2021</para>
+      <itemizedlist>
+        <listitem>
+          <para>[pierre] - Update to unrar-6.0.4. Fixes
+          <ulink url="&blfs-ticket-root;14740">#14740</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to qpdf-10.3.0. Fixes
+          <ulink url="&blfs-ticket-root;14739">#14739</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to jasper-2.0.26. Fixes
+          <ulink url="&blfs-ticket-root;14738">#14738</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to btrfs-progs-5.11. Fixes
+          <ulink url="&blfs-ticket-root;14737">#14737</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>March 6th, 2021</para>
       <itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision 32d76f0019f878544415e7ae137f895dcb4a0f4a)
+++ packages.ent	(revision 8388aa77112e0645a72544dd588aa236ed522ac8)
@@ -46,5 +46,5 @@
 
 <!-- Chapter 5 -->
-<!ENTITY btrfs-progs-version          "5.10.1">
+<!ENTITY btrfs-progs-version          "5.11">
 <!ENTITY dosfstools-version           "4.2">
 <!ENTITY fuse3-version                "3.10.2">
@@ -216,5 +216,5 @@
 <!ENTITY harfbuzz-version             "2.7.4">
 <!--<!ENTITY ijs-version                  "0.35">-->
-<!ENTITY jasper-version               "2.0.25">
+<!ENTITY jasper-version               "2.0.26">
 <!ENTITY lcms-version                 "1.19">
 <!ENTITY lcms2-version                "2.12">
@@ -239,5 +239,5 @@
 <!ENTITY poppler-version              "21.03.0">
 <!ENTITY potrace-version              "1.16">
-<!ENTITY qpdf-version                 "10.2.0">
+<!ENTITY qpdf-version                 "10.3.0">
 <!ENTITY qrencode-version             "4.1.1">
 <!ENTITY libsass-version              "3.6.4">
@@ -316,5 +316,5 @@
 <!ENTITY udisks-version               "1.0.5">    <!-- stable lt .90 micro version -->
 <!ENTITY udisks2-version              "2.9.2">    <!-- stable lt .90 micro version -->
-<!ENTITY unrar-version                "6.0.3">
+<!ENTITY unrar-version                "6.0.4">
 <!ENTITY unzip-version                "6.0">
 <!ENTITY upower-version               "0.99.11">
Index: postlfs/filesystems/btrfs-progs.xml
===================================================================
--- postlfs/filesystems/btrfs-progs.xml	(revision 32d76f0019f878544415e7ae137f895dcb4a0f4a)
+++ postlfs/filesystems/btrfs-progs.xml	(revision 8388aa77112e0645a72544dd588aa236ed522ac8)
@@ -7,5 +7,5 @@
   <!ENTITY btrfs-progs-download-http "&kernel-dl;/linux/kernel/people/kdave/btrfs-progs/btrfs-progs-v&btrfs-progs-version;.tar.xz">
   <!ENTITY btrfs-progs-download-ftp  " ">
-  <!ENTITY btrfs-progs-md5sum        "0ec41da8462196c17ac08f351db86912">
+  <!ENTITY btrfs-progs-md5sum        "1caf3677fc4ea245ff5aab363a0b956f">
   <!ENTITY btrfs-progs-size          "2.1 MB">
   <!ENTITY btrfs-progs-buildsize     "92 MB (add 2.7 GB for tests)">
@@ -106,12 +106,14 @@
   &lt;*/M&gt; Btrfs filesystem support [CONFIG_BTRFS_FS]</literal></screen>
 
-    <note>
-      <para>
-        CONFIG_BTRFS_FS_POSIX_ACL,
-        CONFIG_REISERFS_FS_XATTR, and
-        CONFIG_REISERFS_FS_POSIX_ACL are required for some tests.
-        Other Btrfs options in the kernel are optional.
-      </para>
-    </note>
+    <para>
+      In addition to the above and to the options required for
+      <xref linkend="lvm2"/> and <xref linkend="reiserfs"/>, the following
+      options must be enabled for running tests:
+    </para>
+
+<screen><literal>File systems  ---&gt;
+  [*]   Btrfs POSIX Access Control Lists      [CONFIG_BTRFS_FS_POSIX_ACL]
+  [*]   ReiserFS extended attributes          [CONFIG_REISERFS_FS_XATTR]
+  [*]     ReiserFS POSIX Access Control Lists [CONFIG_REISERFS_FS_POSIX_ACL]</literal></screen>
 
     <indexterm zone="btrfs-progs btrfs-progs-kernel">
@@ -134,8 +136,4 @@
             --with-pkgconfigdir=/usr/lib/pkgconfig &amp;&amp;
 make</userinput></screen>
-
-<!-- Template for failed test removal:
-    mv tests/misc-tests/025-ztsd-compression/test.sh{,.broken}
-    Substitute your test failure with the one above. -->
 
     <note>
@@ -169,4 +167,15 @@
 popd</userinput></screen>
 -->
+
+<!-- Template for failed test removal:-->
+    <para>
+      To test the results, first disable some tests that fail and prevent
+      the other ones to run:
+    </para>
+
+<screen remap="test"><userinput>mv tests/fsck-tests/012-leaf-corruption/test.sh{,.broken}
+mv tests/misc-tests/046-seed-multi-mount/test.sh{,.broken}
+mv tests/convert-tests/019-ext4-copy-timestamps/test.sh{,.broken}</userinput></screen>
+<!-- Substitute your test failure with the one above. -->
     <para>
       To test the results, run (as the
@@ -174,5 +183,5 @@
     </para>
 
-<screen role="root" remap="test"><userinput>make test</userinput></screen>
+<screen role="root" remap="test"><userinput>make -j1 -k test</userinput></screen>
 
     <note>